package lu.tudor.santec.dicom.gui.header;

import java.util.Properties;

public class DicomDictionary {
	
	static Properties dictionary;

	static String[] dict = {
	    "00020000=ULFile Meta Information Group Length",
	    "00020001=OBFile Meta Information Version",
	    "00020002=UIMedia Storage SOP Class UID",
	    "00020003=UIMedia Storage SOP Instance UID",
	    "00020010=UITransfer Syntax UID",
	    "00020012=UIImplementation Class UID",
	    "00020013=SHImplementation Version Name",
	    "00020016=AESource Application Entity Title",
	    "00020100=UIPrivate Information Creator UID",
	    "00020102=OBPrivate Information",
	    "00041130=CSFile-set ID",
	    "00041141=CSFile-set Descriptor File ID",
	    "00041142=CSSpecific Character Set of File-set Descriptor File",
	    "00041200=ULOffset of the First Directory Record of the Root Directory Entity",
	    "00041202=ULOffset of the Last Directory Record of the Root Directory Entity",
	    "00041212=USFile-set Consistency Flag",
	    "00041220=SQDirectory Record Sequence",
	    "00041400=ULOffset of the Next Directory Record",
	    "00041410=USRecord In-use Flag",
	    "00041420=ULOffset of Referenced Lower-Level Directory Entity",
	    "00041430=CSDirectory Record Type",
	    "00041432=UIPrivate Record UID",
	    "00041500=CSReferenced File ID",
	    "00041504=ULMRDR Directory Record Offset",
	    "00041510=UIReferenced SOP Class UID in File",
	    "00041511=UIReferenced SOP Instance UID in File",
	    "00041512=UIReferenced Transfer Syntax UID in File",
	    "0004151A=UIReferenced Related General SOP Class UID in File",
	    "00041600=ULNumber of References",
	    "00080001=ULLength to End",
	    "00080005=CSSpecific Character Set",
	    "00080008=CSImage Type",
	    "00080010=CSRecognition Code",
	    "00080012=DAInstance Creation Date",
	    "00080013=TMInstance Creation Time",
	    "00080014=UIInstance Creator UID",
	    "00080016=UISOP Class UID",
	    "00080018=UISOP Instance UID",
	    "0008001A=UIRelated General SOP Class UID",
	    "0008001B=UIOriginal Specialized SOP Class UID",
	    "00080020=DAStudy Date",
	    "00080021=DASeries Date",
	    "00080022=DAAcquisition Date",
	    "00080023=DAContent Date",
	    "00080024=DAOverlay Date",
	    "00080025=DACurve Date",
	    "0008002A=DTAcquisition DateTime",
	    "00080030=TMStudy Time",
	    "00080031=TMSeries Time",
	    "00080032=TMAcquisition Time",
	    "00080033=TMContent Time",
	    "00080034=TMOverlay Time",
	    "00080035=TMCurve Time",
	    "00080040=USData Set Type",
	    "00080041=LOData Set Subtype",
	    "00080042=CSNuclear Medicine Series Type",
	    "00080050=SHAccession Number",
	    "00080052=CSQuery/Retrieve Level",
	    "00080054=AERetrieve AE Title",
	    "00080056=CSInstance Availability",
	    "00080058=UIFailed SOP Instance UID List",
	    "00080060=CSModality",
	    "00080061=CSModalities in Study",
	    "00080062=UISOP Classes in Study",
	    "00080064=CSConversion Type",
	    "00080068=CSPresentation Intent Type",
	    "00080070=LOManufacturer",
	    "00080080=LOInstitution Name",
	    "00080081=STInstitution Address",
	    "00080082=SQInstitution Code Sequence",
	    "00080090=PNReferring Physician's Name",
	    "00080092=STReferring Physician's Address",
	    "00080094=SHReferring Physician's Telephone Numbers",
	    "00080096=SQReferring Physician Identification Sequence",
	    "00080100=SHCode Value",
	    "00080102=SHCoding Scheme Designator",
	    "00080103=SHCoding Scheme Version",
	    "00080104=LOCode Meaning",
	    "00080105=CSMapping Resource",
	    "00080106=DTContext Group Version",
	    "00080107=DTContext Group Local Version",
	    "0008010B=CSContext Group Extension Flag",
	    "0008010C=UICoding Scheme UID",
	    "0008010D=UIContext Group Extension Creator UID",
	    "0008010F=CSContext Identifier",
	    "00080110=SQCoding Scheme Identification Sequence",
	    "00080112=LOCoding Scheme Registry",
	    "00080114=STCoding Scheme External ID",
	    "00080115=STCoding Scheme Name",
	    "00080116=STCoding Scheme Responsible Organization",
	    "00080201=SHTimezone Offset From UTC",
	    "00081000=AENetwork ID",
	    "00081010=SHStation Name",
	    "00081030=LOStudy Description",
	    "00081032=SQProcedure Code Sequence",
	    "0008103E=LOSeries Description",
	    "00081040=LOInstitutional Department Name",
	    "00081048=PNPhysician(s) of Record",
	    "00081049=SQPhysician(s) of Record Identification Sequence",
	    "00081050=PNPerforming Physician's Name",
	    "00081052=SQPerforming Physician Identification Sequence",
	    "00081060=PNName of  Physician(s) Reading Study",
	    "00081062=SQPhysician(s) Reading Study Identification Sequence",
	    "00081070=PNOperators' Name",
	    "00081072=SQOperator Identification Sequence",
	    "00081080=LOAdmitting Diagnoses Description",
	    "00081084=SQAdmitting Diagnoses Code Sequence",
	    "00081090=LOManufacturer's Model Name",
	    "00081100=SQReferenced Results Sequence",
	    "00081110=SQReferenced Study Sequence",
	    "00081111=SQReferenced Performed Procedure Step Sequence",
	    "00081115=SQReferenced Series Sequence",
	    "00081120=SQReferenced Patient Sequence",
	    "00081125=SQReferenced Visit Sequence",
	    "00081130=SQReferenced Overlay Sequence",
	    "0008113A=SQReferenced Waveform Sequence",
	    "00081140=SQReferenced Image Sequence",
	    "00081145=SQReferenced Curve Sequence",
	    "0008114A=SQReferenced Instance Sequence",
	    "0008114B=SQReferenced Real World Value Mapping Instance Sequence",
	    "00081150=UIReferenced SOP Class UID",
	    "00081155=UIReferenced SOP Instance UID",
	    "0008115A=UISOP Classes Supported",
	    "00081160=ISReferenced Frame Number",
	    "00081195=UITransaction UID",
	    "00081197=USFailure Reason",
	    "00081198=SQFailed SOP Sequence",
	    "00081199=SQReferenced SOP Sequence",
	    "00081200=SQStudies Containing Other Referenced Instances Sequence",
	    "00081250=SQRelated Series Sequence",
	    "00082110=CSLossy Image Compression (Retired)",
	    "00082111=STDerivation Description",
	    "00082112=SQSource Image Sequence",
	    "00082120=SHStage Name",
	    "00082122=ISStage Number",
	    "00082124=ISNumber of Stages",
	    "00082127=SHView Name",
	    "00082128=ISView Number",
	    "00082129=ISNumber of Event Timers",
	    "0008212A=ISNumber of Views in Stage",
	    "00082130=DSEvent Elapsed Time(s)",
	    "00082132=LOEvent Timer Name(s)",
	    "00082142=ISStart Trim",
	    "00082143=ISStop Trim",
	    "00082144=ISRecommended Display Frame Rate",
	    "00082200=CSTransducer Position",
	    "00082204=CSTransducer Orientation",
	    "00082208=CSAnatomic Structure",
	    "00082218=SQAnatomic Region Sequence",
	    "00082220=SQAnatomic Region Modifier Sequence",
	    "00082228=SQPrimary Anatomic Structure Sequence",
	    "00082229=SQAnatomic Structure, Space or Region Sequence",
	    "00082230=SQPrimary Anatomic Structure Modifier Sequence",
	    "00082240=SQTransducer Position Sequence",
	    "00082242=SQTransducer Position Modifier Sequence",
	    "00082244=SQTransducer Orientation Sequence",
	    "00082246=SQTransducer Orientation Modifier Sequence",
	    "00082251=SQAnatomic Structure Space Or Region Code Sequence (Trial)",
	    "00082253=SQAnatomic Portal Of Entrance Code Sequence (Trial)",
	    "00082255=SQAnatomic Approach Direction Code Sequence (Trial)",
	    "00082256=STAnatomic Perspective Description (Trial)",
	    "00082257=SQAnatomic Perspective Code Sequence (Trial)",
	    "00082258=STAnatomic Location Of Examining Instrument Description (Trial)",
	    "00082259=SQAnatomic Location Of Examining Instrument Code Sequence (Trial)",
	    "0008225A=SQAnatomic Structure Space Or Region Modifier Code Sequence (Trial)",
	    "0008225C=SQOnAxis Background Anatomic Structure Code Sequence (Trial)",
	    "00083001=SQAlternate Representation Sequence",
	    "00083010=UIIrradiation Event UID",
	    "00084000=LTIdentifying Comments",
	    "00089007=CSFrame Type",
	    "00089092=SQReferenced Image Evidence Sequence",
	    "00089121=SQReferenced Raw Data Sequence",
	    "00089123=UICreator-Version UID",
	    "00089124=SQDerivation Image Sequence",
	    "00089154=SQSource Image Evidence Sequence",
	    "00089205=CSPixel Presentation",
	    "00089206=CSVolumetric Properties",
	    "00089207=CSVolume Based Calculation Technique",
	    "00089208=CSComplex Image Component",
	    "00089209=CSAcquisition Contrast",
	    "00089215=SQDerivation Code Sequence",
	    "00089237=SQReferenced Grayscale Presentation State Sequence",
	    "00089410=SQReferenced Other Plane Sequence",
	    "00089458=SQFrame Display Sequence",
	    "00089459=FLRecommended Display Frame Rate in Float",
	    "00089460=CSSkip Frame Range Flag",
	    "00100010=PNPatient's Name",
	    "00100020=LOPatient ID",
	    "00100021=LOIssuer of Patient ID",
	    "00100022=CSType of Patient ID",
	    "00100030=DAPatient's Birth Date",
	    "00100032=TMPatient's Birth Time",
	    "00100040=CSPatient's Sex",
	    "00100050=SQPatient's Insurance Plan Code Sequence",
	    "00100101=SQPatient's Primary Language Code Sequence",
	    "00100102=SQPatient's Primary Language Code Modifier Sequence",
	    "00101000=LOOther Patient IDs",
	    "00101001=PNOther Patient Names",
	    "00101002=SQOther Patient IDs Sequence",
	    "00101005=PNPatient's Birth Name",
	    "00101010=ASPatient's Age",
	    "00101020=DSPatient's Size",
	    "00101030=DSPatient's Weight",
	    "00101040=LOPatient's Address",
	    "00101050=LOInsurance Plan Identification",
	    "00101060=PNPatient's Mother's Birth Name",
	    "00101080=LOMilitary Rank",
	    "00101081=LOBranch of Service",
	    "00101090=LOMedical Record Locator",
	    "00102000=LOMedical Alerts",
	    "00102110=LOAllergies",
	    "00102150=LOCountry of Residence",
	    "00102152=LORegion of Residence",
	    "00102154=SHPatient's Telephone Numbers",
	    "00102160=SHEthnic Group",
	    "00102180=SHOccupation",
	    "001021A0=CSSmoking Status",
	    "001021B0=LTAdditional Patient History",
	    "001021C0=USPregnancy Status",
	    "001021D0=DALast Menstrual Date",
	    "001021F0=LOPatient's Religious Preference",
	    "00102201=LOPatient Species Description",
	    "00102202=SQPatient Species Code Sequence",
	    "00102203=CSPatient's Sex Neutered",
	    "00102292=LOPatient Breed Description",
	    "00102293=SQPatient Breed Code Sequence",
	    "00102294=SQBreed Registration Sequence",
	    "00102295=LOBreed Registration Number",
	    "00102296=SQBreed Registry Code Sequence",
	    "00102297=PNResponsible Person",
	    "00102298=CSResponsible Person Role",
	    "00102299=LOResponsible Organization",
	    "00104000=LTPatient Comments",
	    "00109431=FLExamined Body Thickness",
	    "00120010=LOClinical Trial Sponsor Name",
	    "00120020=LOClinical Trial Protocol ID",
	    "00120021=LOClinical Trial Protocol Name",
	    "00120030=LOClinical Trial Site ID",
	    "00120031=LOClinical Trial Site Name",
	    "00120040=LOClinical Trial Subject ID",
	    "00120042=LOClinical Trial Subject Reading ID",
	    "00120050=LOClinical Trial Time Point ID",
	    "00120051=STClinical Trial Time Point Description",
	    "00120060=LOClinical Trial Coordinating Center Name",
	    "00120062=CSPatient Identity Removed",
	    "00120063=LODe-identification Method",
	    "00120064=SQDe-identification Method Code Sequence",
	    "00120071=LOClinical Trial Series ID",
	    "00120072=LOClinical Trial Series Description",
	    "00180010=LOContrast/Bolus Agent",
	    "00180012=SQContrast/Bolus Agent Sequence",
	    "00180014=SQContrast/Bolus Administration Route Sequence",
	    "00180015=CSBody Part Examined",
	    "00180020=CSScanning Sequence",
	    "00180021=CSSequence Variant",
	    "00180022=CSScan Options",
	    "00180023=CSMR Acquisition Type",
	    "00180024=SHSequence Name",
	    "00180025=CSAngio Flag",
	    "00180026=SQIntervention Drug Information Sequence",
	    "00180027=TMIntervention Drug Stop Time",
	    "00180028=DSIntervention Drug Dose",
	    "00180029=SQIntervention Drug Sequence",
	    "0018002A=SQAdditional Drug Sequence",
	    "00180030=LORadionuclide",
	    "00180031=LORadiopharmaceutical",
	    "00180032=DSEnergy Window Centerline",
	    "00180033=DSEnergy Window Total Width",
	    "00180034=LOIntervention Drug Name",
	    "00180035=TMIntervention Drug Start Time",
	    "00180036=SQIntervention Sequence",
	    "00180037=CSTherapy Type",
	    "00180038=CSIntervention Status",
	    "00180039=CSTherapy Description",
	    "0018003A=STIntervention Description",
	    "00180040=ISCine Rate ",
	    "00180050=DSSlice Thickness",
	    "00180060=DSKVP",
	    "00180070=ISCounts Accumulated",
	    "00180071=CSAcquisition Termination Condition",
	    "00180072=DSEffective Duration",
	    "00180073=CSAcquisition Start Condition",
	    "00180074=ISAcquisition Start Condition Data",
	    "00180075=ISAcquisition Termination Condition Data",
	    "00180080=DSRepetition Time",
	    "00180081=DSEcho Time",
	    "00180082=DSInversion Time",
	    "00180083=DSNumber of Averages",
	    "00180084=DSImaging Frequency",
	    "00180085=SHImaged Nucleus",
	    "00180086=ISEcho Number(s)",
	    "00180087=DSMagnetic Field Strength",
	    "00180088=DSSpacing Between Slices",
	    "00180089=ISNumber of Phase Encoding Steps",
	    "00180090=DSData Collection Diameter",
	    "00180091=ISEcho Train Length",
	    "00180093=DSPercent Sampling",
	    "00180094=DSPercent Phase Field of View",
	    "00180095=DSPixel Bandwidth",
	    "00181000=LODevice Serial Number",
	    "00181002=UIDevice UID",
	    "00181003=LODevice ID",
	    "00181004=LOPlate ID",
	    "00181005=LOGenerator ID",
	    "00181006=LOGrid ID",
	    "00181007=LOCassette ID",
	    "00181008=LOGantry ID",
	    "00181010=LOSecondary Capture Device ID",
	    "00181011=LOHardcopy Creation Device ID",
	    "00181012=DADate of Secondary Capture",
	    "00181014=TMTime of Secondary Capture",
	    "00181016=LOSecondary Capture Device Manufacturers",
	    "00181017=LOHardcopy Device Manufacturer",
	    "00181018=LOSecondary Capture Device Manufacturer's Model Name",
	    "00181019=LOSecondary Capture Device Software Version(s)",
	    "0018101A=LOHardcopy Device Software Version",
	    "0018101B=LOHardcopy Device Manufacturer's Model Name",
	    "00181020=LOSoftware Version(s)",
	    "00181022=SHVideo Image Format Acquired",
	    "00181023=LODigital Image Format Acquired",
	    "00181030=LOProtocol Name",
	    "00181040=LOContrast/Bolus Route",
	    "00181041=DSContrast/Bolus Volume",
	    "00181042=TMContrast/Bolus Start Time ",
	    "00181043=TMContrast/Bolus Stop Time ",
	    "00181044=DSContrast/Bolus Total Dose",
	    "00181045=ISSyringe Counts",
	    "00181046=DSContrast Flow Rate",
	    "00181047=DSContrast Flow Duration",
	    "00181048=CSContrast/Bolus Ingredient",
	    "00181049=DSContrast/Bolus Ingredient Concentration",
	    "00181050=DSSpatial Resolution",
	    "00181060=DSTrigger Time",
	    "00181061=LOTrigger Source or Type",
	    "00181062=ISNominal Interval",
	    "00181063=DSFrame Time",
	    "00181064=LOCardiac Framing Type",
	    "00181065=DSFrame Time Vector",
	    "00181066=DSFrame Delay",
	    "00181067=DSImage Trigger Delay",
	    "00181068=DSMultiplex Group Time Offset",
	    "00181069=DSTrigger Time Offset",
	    "0018106A=CSSynchronization Trigger",
	    "0018106C=USSynchronization Channel",
	    "0018106E=ULTrigger Sample Position",
	    "00181070=LORadiopharmaceutical Route",
	    "00181071=DSRadiopharmaceutical Volume",
	    "00181072=TMRadiopharmaceutical Start Time",
	    "00181073=TMRadiopharmaceutical Stop Time",
	    "00181074=DSRadionuclide Total Dose",
	    "00181075=DSRadionuclide Half Life",
	    "00181076=DSRadionuclide Positron Fraction",
	    "00181077=DSRadiopharmaceutical Specific Activity",
	    "00181078=DTRadiopharmaceutical Start DateTime",
	    "00181079=DTRadiopharmaceutical Stop DateTime",
	    "00181080=CSBeat Rejection Flag",
	    "00181081=ISLow R-R Value",
	    "00181082=ISHigh R-R Value",
	    "00181083=ISIntervals Acquired",
	    "00181084=ISIntervals Rejected",
	    "00181085=LOPVC Rejection",
	    "00181086=ISSkip Beats",
	    "00181088=ISHeart Rate",
	    "00181090=ISCardiac Number of Images",
	    "00181094=ISTrigger Window",
	    "00181100=DSReconstruction Diameter",
	    "00181110=DSDistance Source to Detector",
	    "00181111=DSDistance Source to Patient",
	    "00181114=DSEstimated Radiographic Magnification Factor",
	    "00181120=DSGantry/Detector Tilt",
	    "00181121=DSGantry/Detector Slew",
	    "00181130=DSTable Height",
	    "00181131=DSTable Traverse",
	    "00181134=CSTable Motion",
	    "00181135=DSTable Vertical Increment",
	    "00181136=DSTable Lateral Increment",
	    "00181137=DSTable Longitudinal Increment",
	    "00181138=DSTable Angle",
	    "0018113A=CSTable Type",
	    "00181140=CSRotation Direction",
	    "00181141=DSAngular Position",
	    "00181142=DSRadial Position",
	    "00181143=DSScan Arc",
	    "00181144=DSAngular Step",
	    "00181145=DSCenter of Rotation Offset",
	    "00181146=DSRotation Offset",
	    "00181147=CSField of View Shape",
	    "00181149=ISField of View Dimension(s)",
	    "00181150=ISExposure Time",
	    "00181151=ISX-Ray Tube Current",
	    "00181152=ISExposure ",
	    "00181153=ISExposure in μAs",
	    "00181154=DSAverage Pulse Width",
	    "00181155=CSRadiation Setting",
	    "00181156 =CSRectification Type",
	    "0018115A=CSRadiation Mode",
	    "0018115E=DSImage and Fluoroscopy Area Dose Product",
	    "00181160=SHFilter Type",
	    "00181161=LOType of Filters",
	    "00181162=DSIntensifier Size",
	    "00181164=DSImager Pixel Spacing",
	    "00181166=CSGrid",
	    "00181170=ISGenerator Power",
	    "00181180=SHCollimator/grid Name ",
	    "00181181=CSCollimator Type",
	    "00181182=ISFocal Distance",
	    "00181183=DSX Focus Center",
	    "00181184=DSY Focus Center",
	    "00181190=DSFocal Spot(s)",
	    "00181191=CSAnode Target Material",
	    "001811A0=DSBody Part Thickness",
	    "001811A2=DSCompression Force",
	    "00181200=DADate of Last Calibration",
	    "00181201=TMTime of Last Calibration",
	    "00181210=SHConvolution Kernel",
	    "00181240=ISUpper/Lower Pixel Values",
	    "00181242=ISActual Frame Duration",
	    "00181243=ISCount Rate",
	    "00181244=USPreferred Playback Sequencing",
	    "00181250=SHReceive Coil Name",
	    "00181251=SHTransmit Coil Name",
	    "00181260=SHPlate Type",
	    "00181261=LOPhosphor Type",
	    "00181300=DSScan Velocity",
	    "00181301=CSWhole Body Technique",
	    "00181302=ISScan Length",
	    "00181310=USAcquisition Matrix",
	    "00181312=CSIn-plane Phase Encoding Direction",
	    "00181314=DSFlip Angle",
	    "00181315=CSVariable Flip Angle Flag",
	    "00181316=DSSAR",
	    "00181318=DSdB/dt",
	    "00181400=LOAcquisition Device Processing Description ",
	    "00181401=LOAcquisition Device Processing Code",
	    "00181402=CSCassette Orientation",
	    "00181403=CSCassette Size",
	    "00181404=USExposures on Plate",
	    "00181405=ISRelative X-Ray Exposure",
	    "00181450=DSColumn Angulation",
	    "00181460=DSTomo Layer Height",
	    "00181470=DSTomo Angle",
	    "00181480=DSTomo Time",
	    "00181490=CSTomo Type",
	    "00181491=CSTomo Class",
	    "00181495=ISNumber of Tomosynthesis Source Images",
	    "00181500=CSPositioner Motion",
	    "00181508=CSPositioner Type",
	    "00181510=DSPositioner Primary Angle",
	    "00181511=DSPositioner Secondary Angle",
	    "00181520=DSPositioner Primary Angle Increment",
	    "00181521=DSPositioner Secondary Angle Increment",
	    "00181530=DSDetector Primary Angle",
	    "00181531=DSDetector Secondary Angle",
	    "00181600=CSShutter Shape",
	    "00181602=ISShutter Left Vertical Edge",
	    "00181604=ISShutter Right Vertical Edge",
	    "00181606=ISShutter Upper Horizontal Edge",
	    "00181608=ISShutter Lower Horizontal Edge",
	    "00181610=ISCenter of Circular Shutter",
	    "00181612=ISRadius of Circular Shutter",
	    "00181620=ISVertices of the Polygonal Shutter",
	    "00181622=USShutter Presentation Value",
	    "00181623=USShutter Overlay Group",
	    "00181624=USShutter Presentation Color CIELab Value",
	    "00181700=CSCollimator Shape",
	    "00181702=ISCollimator Left Vertical Edge",
	    "00181704=ISCollimator Right Vertical Edge",
	    "00181706=ISCollimator Upper Horizontal Edge",
	    "00181708=ISCollimator Lower Horizontal Edge",
	    "00181710=ISCenter of Circular Collimator",
	    "00181712=ISRadius of Circular Collimator",
	    "00181720=ISVertices of the Polygonal Collimator",
	    "00181800=CSAcquisition Time Synchronized",
	    "00181801=SHTime Source",
	    "00181802=CSTime Distribution Protocol",
	    "00181803=LONTP Source Address",
	    "00182001=ISPage Number Vector",
	    "00182002=SHFrame Label Vector",
	    "00182003=DSFrame Primary Angle Vector",
	    "00182004=DSFrame Secondary Angle Vector",
	    "00182005=DSSlice Location Vector",
	    "00182006=SHDisplay Window Label Vector",
	    "00182010=DSNominal Scanned Pixel Spacing",
	    "00182020=CSDigitizing Device Transport Direction",
	    "00182030=DSRotation of Scanned Film",
	    "00183100=CSIVUS Acquisition",
	    "00183101=DSIVUS Pullback Rate",
	    "00183102=DSIVUS Gated Rate",
	    "00183103=ISIVUS Pullback Start Frame Number",
	    "00183104=ISIVUS Pullback Stop Frame Number",
	    "00183105=ISLesion Number ",
	    "00184000=LTAcquisition Comments",
	    "00185000=SHOutput Power",
	    "00185010=LOTransducer Data",
	    "00185012=DSFocus Depth",
	    "00185020=LOProcessing Function",
	    "00185021=LOPostprocessing Function",
	    "00185022=DSMechanical Index",
	    "00185024=DSBone Thermal Index",
	    "00185026=DSCranial Thermal Index",
	    "00185027=DSSoft Tissue Thermal Index",
	    "00185028=DSSoft Tissue-focus Thermal Index",
	    "00185029=DSSoft Tissue-surface Thermal Index",
	    "00185030=DSDynamic Range",
	    "00185040=DSTotal Gain",
	    "00185050=ISDepth of Scan Field",
	    "00185100=CSPatient Position",
	    "00185101=CSView Position",
	    "00185104=SQProjection Eponymous Name Code Sequence",
	    "00185210=DSImage Transformation Matrix",
	    "00185212=DSImage Translation Vector",
	    "00186000=DSSensitivity",
	    "00186011=SQSequence of Ultrasound Regions",
	    "00186012=USRegion Spatial Format",
	    "00186014=USRegion Data Type",
	    "00186016=ULRegion Flags",
	    "00186018=ULRegion Location Min X0",
	    "0018601A=ULRegion Location Min Y0",
	    "0018601C=ULRegion Location Max X1",
	    "0018601E=ULRegion Location Max Y1",
	    "00186020=SLReference Pixel X0",
	    "00186022=SLReference Pixel Y0",
	    "00186024=USPhysical Units X Direction",
	    "00186026=USPhysical Units Y Direction",
	    "00186028=FDReference Pixel Physical Value X",
	    "0018602A=FDReference Pixel Physical Value Y",
	    "0018602C=FDPhysical Delta X",
	    "0018602E=FDPhysical Delta Y",
	    "00186030=ULTransducer Frequency",
	    "00186031=CSTransducer Type",
	    "00186032=ULPulse Repetition Frequency",
	    "00186034=FDDoppler Correction Angle",
	    "00186036=FDSteering Angle",
	    "00186038=ULDoppler Sample Volume X Position (Retired)",
	    "00186039=SLDoppler Sample Volume X Position",
	    "0018603A=ULDoppler Sample Volume Y Position (Retired)",
	    "0018603B=SLDoppler Sample Volume Y Position",
	    "0018603C=ULTM-Line Position X0 (Retired)",
	    "0018603D=SLTM-Line Position X0",
	    "0018603E=ULTM-Line Position Y0 (Retired)",
	    "0018603F=SLTM-Line Position Y0",
	    "00186040=ULTM-Line Position X1 (Retired)",
	    "00186041=SLTM-Line Position X1",
	    "00186042=ULTM-Line Position Y1 (Retired)",
	    "00186043=SLTM-Line Position Y1",
	    "00186044=USPixel Component Organization",
	    "00186046=ULPixel Component Mask",
	    "00186048=ULPixel Component Range Start",
	    "0018604A=ULPixel Component Range Stop",
	    "0018604C=USPixel Component Physical Units",
	    "0018604E=USPixel Component Data Type",
	    "00186050=ULNumber of Table Break Points",
	    "00186052=ULTable of X Break Points",
	    "00186054=FDTable of Y Break Points",
	    "00186056=ULNumber of Table Entries",
	    "00186058=ULTable of Pixel Values",
	    "0018605A=FLTable of Parameter Values",
	    "00186060=FLR Wave Time Vector",
	    "00187000=CSDetector Conditions Nominal Flag ",
	    "00187001=DSDetector Temperature",
	    "00187004=CSDetector Type",
	    "00187005=CSDetector Configuration",
	    "00187006=LTDetector Description",
	    "00187008=LTDetector Mode",
	    "0018700A=SHDetector ID",
	    "0018700C=DADate of Last Detector Calibration ",
	    "0018700E=TMTime of Last Detector Calibration",
	    "00187010=ISExposures on Detector Since Last Calibration ",
	    "00187011=ISExposures on Detector Since Manufactured ",
	    "00187012=DSDetector Time Since Last Exposure ",
	    "00187014=DSDetector Active Time ",
	    "00187016=DSDetector Activation Offset From Exposure",
	    "0018701A=DSDetector Binning ",
	    "00187020=DSDetector Element Physical Size",
	    "00187022=DSDetector Element Spacing",
	    "00187024=CSDetector Active Shape",
	    "00187026=DSDetector Active Dimension(s)",
	    "00187028=DSDetector Active Origin",
	    "0018702A=LODetector Manufacturer Name",
	    "0018702B=LODetector Manufacturer's Model Name",
	    "00187030=DSField of View Origin",
	    "00187032=DSField of View Rotation",
	    "00187034=CSField of View Horizontal Flip",
	    "00187040=LTGrid Absorbing Material",
	    "00187041=LTGrid Spacing Material",
	    "00187042=DSGrid Thickness",
	    "00187044=DSGrid Pitch",
	    "00187046=ISGrid Aspect Ratio",
	    "00187048=DSGrid Period",
	    "0018704C=DSGrid Focal Distance",
	    "00187050=CSFilter Material",
	    "00187052=DSFilter Thickness Minimum",
	    "00187054=DSFilter Thickness Maximum",
	    "00187060=CSExposure Control Mode",
	    "00187062=LTExposure Control Mode Description",
	    "00187064=CSExposure Status",
	    "00187065=DSPhototimer Setting",
	    "00188150=DSExposure Time in uS",
	    "00188151=DSX-Ray Tube Current in uA",
	    "00189004=CSContent Qualification",
	    "00189005=SHPulse Sequence Name",
	    "00189006=SQMR Imaging Modifier Sequence",
	    "00189008=CSEcho Pulse Sequence",
	    "00189009=CSInversion Recovery",
	    "00189010=CSFlow Compensation",
	    "00189011=CSMultiple Spin Echo",
	    "00189012=CSMulti-planar Excitation",
	    "00189014=CSPhase Contrast",
	    "00189015=CSTime of Flight Contrast",
	    "00189016=CSSpoiling",
	    "00189017=CSSteady State Pulse Sequence",
	    "00189018=CSEcho Planar Pulse Sequence",
	    "00189019=FDTag Angle First Axis",
	    "00189020=CSMagnetization Transfer",
	    "00189021=CST2 Preparation",
	    "00189022=CSBlood Signal Nulling",
	    "00189024=CSSaturation Recovery",
	    "00189025=CSSpectrally Selected Suppression",
	    "00189026=CSSpectrally Selected Excitation",
	    "00189027=CSSpatial Pre-saturation",
	    "00189028=CSTagging",
	    "00189029=CSOversampling Phase",
	    "00189030=FDTag Spacing First Dimension",
	    "00189032=CSGeometry of k-Space Traversal",
	    "00189033=CSSegmented k-Space Traversal",
	    "00189034=CSRectilinear Phase Encode Reordering",
	    "00189035=FDTag Thickness",
	    "00189036=CSPartial Fourier Direction",
	    "00189037=CSCardiac Synchronization Technique",
	    "00189041=LOReceive Coil Manufacturer Name",
	    "00189042=SQMR Receive Coil Sequence",
	    "00189043=CSReceive Coil Type ",
	    "00189044=CSQuadrature Receive Coil ",
	    "00189045=SQMulti-Coil Definition Sequence",
	    "00189046=LOMulti-Coil Configuration ",
	    "00189047=SHMulti-Coil Element Name",
	    "00189048=CSMulti-Coil Element Used",
	    "00189049=SQMR Transmit Coil Sequence",
	    "00189050=LOTransmit Coil Manufacturer Name",
	    "00189051=CSTransmit Coil Type",
	    "00189052=FDSpectral Width",
	    "00189053=FDChemical Shift Reference",
	    "00189054=CSVolume Localization Technique",
	    "00189058=USMR Acquisition Frequency Encoding Steps",
	    "00189059=CSDe-coupling",
	    "00189060=CSDe-coupled Nucleus",
	    "00189061=FDDe-coupling Frequency",
	    "00189062=CSDe-coupling Method",
	    "00189063=FDDe-coupling Chemical Shift Reference",
	    "00189064=CSk-space Filtering",
	    "00189065=CSTime Domain Filtering",
	    "00189066=USNumber of Zero fills",
	    "00189067=CSBaseline Correction",
	    "00189069=FDParallel Reduction Factor In-plane",
	    "00189070=FDCardiac R-R Interval Specified",
	    "00189073=FDAcquisition Duration",
	    "00189074=DTFrame Acquisition DateTime",
	    "00189075=CSDiffusion Directionality",
	    "00189076=SQDiffusion Gradient Direction Sequence",
	    "00189077=CSParallel Acquisition",
	    "00189078=CSParallel Acquisition Technique",
	    "00189079=FDInversion Times",
	    "00189080=STMetabolite Map Description",
	    "00189081=CSPartial Fourier",
	    "00189082=FDEffective Echo Time",
	    "00189083=SQMetabolite Map Code Sequence",
	    "00189084=SQChemical Shift Sequence",
	    "00189085=CSCardiac Signal Source",
	    "00189087=FDDiffusion b-value",
	    "00189089=FDDiffusion Gradient Orientation",
	    "00189090=FDVelocity Encoding Direction",
	    "00189091=FDVelocity Encoding Minimum Value",
	    "00189093=USNumber of k-Space Trajectories",
	    "00189094=CSCoverage of k-Space",
	    "00189095=ULSpectroscopy Acquisition Phase Rows",
	    "00189096=FDParallel Reduction Factor In-plane (Retired)",
	    "00189098=FDTransmitter Frequency",
	    "00189100=CSResonant Nucleus",
	    "00189101=CSFrequency Correction",
	    "00189103=SQMR Spectroscopy FOV/Geometry Sequence",
	    "00189104=FDSlab Thickness",
	    "00189105=FDSlab Orientation",
	    "00189106=FDMid Slab Position",
	    "00189107=SQMR Spatial Saturation Sequence",
	    "00189112=SQMR Timing and Related Parameters Sequence",
	    "00189114=SQMR Echo Sequence",
	    "00189115=SQMR Modifier Sequence",
	    "00189117=SQMR Diffusion Sequence",
	    "00189118=SQCardiac Synchronization Sequence",
	    "00189119=SQMR Averages Sequence",
	    "00189125=SQMR FOV/Geometry Sequence",
	    "00189126=SQVolume Localization Sequence",
	    "00189127=ULSpectroscopy Acquisition Data Columns",
	    "00189147=CSDiffusion Anisotropy Type",
	    "00189151=DTFrame Reference DateTime",
	    "00189152=SQMR Metabolite Map Sequence",
	    "00189155=FDParallel Reduction Factor out-of-plane",
	    "00189159=ULSpectroscopy Acquisition Out-of-plane Phase Steps",
	    "00189166=CSBulk Motion Status",
	    "00189168=FDParallel Reduction Factor Second In-plane",
	    "00189169=CSCardiac Beat Rejection Technique",
	    "00189170=CSRespiratory Motion Compensation Technique",
	    "00189171=CSRespiratory Signal Source",
	    "00189172=CSBulk Motion Compensation Technique",
	    "00189173=CSBulk Motion Signal Source",
	    "00189174=CSApplicable Safety Standard Agency",
	    "00189175=LOApplicable Safety Standard Description",
	    "00189176=SQOperating Mode Sequence",
	    "00189177=CSOperating Mode Type",
	    "00189178=CSOperating Mode",
	    "00189179=CSSpecific Absorption Rate Definition",
	    "00189180=CSGradient Output Type",
	    "00189181=FDSpecific Absorption Rate Value",
	    "00189182=FDGradient Output",
	    "00189183=CSFlow Compensation Direction",
	    "00189184=FDTagging Delay",
	    "00189185=STRespiratory Motion Compensation Technique Description",
	    "00189186=SHRespiratory Signal Source ID",
	    "00189195=FDChemical Shifts Minimum Integration Limit in Hz",
	    "00189196=FDChemical Shifts Maximum Integration Limit in Hz",
	    "00189197=SQMR Velocity Encoding Sequence",
	    "00189198=CSFirst Order Phase Correction",
	    "00189199=CSWater Referenced Phase Correction",
	    "00189200=CSMR Spectroscopy Acquisition Type",
	    "00189214=CSRespiratory Cycle Position",
	    "00189217=FDVelocity Encoding Maximum Value",
	    "00189218=FDTag Spacing Second Dimension",
	    "00189219=SSTag Angle Second Axis",
	    "00189220=FDFrame Acquisition Duration",
	    "00189226=SQMR Image Frame Type Sequence",
	    "00189227=SQMR Spectroscopy Frame Type Sequence",
	    "00189231=USMR Acquisition Phase Encoding Steps in-plane",
	    "00189232=USMR Acquisition Phase Encoding Steps out-of-plane",
	    "00189234=ULSpectroscopy Acquisition Phase Columns",
	    "00189236=CSCardiac Cycle Position",
	    "00189239=SQSpecific Absorption Rate Sequence",
	    "00189240=USRF Echo Train Length",
	    "00189241=USGradient Echo Train Length",
	    "00189295=FDChemical Shifts Minimum Integration Limit in ppm",
	    "00189296=FDChemical Shifts Maximum Integration Limit in ppm",
	    "00189301=SQCT Acquisition Type Sequence",
	    "00189302=CSAcquisition Type",
	    "00189303=FDTube Angle",
	    "00189304=SQCT Acquisition Details Sequence",
	    "00189305=FDRevolution Time",
	    "00189306=FDSingle Collimation Width",
	    "00189307=FDTotal Collimation Width",
	    "00189308=SQCT Table Dynamics Sequence",
	    "00189309=FDTable Speed",
	    "00189310=FDTable Feed per Rotation",
	    "00189311=FDSpiral Pitch Factor",
	    "00189312=SQCT Geometry Sequence",
	    "00189313=FDData Collection Center (Patient)",
	    "00189314=SQCT Reconstruction Sequence",
	    "00189315=CSReconstruction Algorithm",
	    "00189316=CSConvolution Kernel Group",
	    "00189317=FDReconstruction Field of View",
	    "00189318=FDReconstruction Target Center (Patient)",
	    "00189319=FDReconstruction Angle",
	    "00189320=SHImage Filter",
	    "00189321=SQCT Exposure Sequence",
	    "00189322=FDReconstruction Pixel Spacing ",
	    "00189323=CSExposure Modulation Type",
	    "00189324=FDEstimated Dose Saving",
	    "00189325=SQCT X-Ray Details Sequence",
	    "00189326=SQCT Position Sequence",
	    "00189327=FDTable Position",
	    "00189328=FDExposure Time in ms",
	    "00189329=SQCT Image Frame Type Sequence",
	    "00189330=FDX-Ray Tube Current in mA",
	    "00189332=FDExposure in mAs",
	    "00189333=CSConstant Volume Flag ",
	    "00189334=CSFluoroscopy Flag",
	    "00189335=FDDistance Source to Data Collection Center",
	    "00189337=USContrast/Bolus Agent Number",
	    "00189338=SQContrast/Bolus Ingredient Code Sequence",
	    "00189340=SQContrast Administration Profile Sequence",
	    "00189341=SQContrast/Bolus Usage Sequence",
	    "00189342=CSContrast/Bolus Agent Administered",
	    "00189343=CSContrast/Bolus Agent Detected",
	    "00189344=CSContrast/Bolus Agent Phase",
	    "00189345=FDCTDIvol",
	    "00189346=SQCTDI Phantom Type Code Sequence",
	    "00189351=FLCalcium Scoring Mass Factor Patient",
	    "00189352=FLCalcium Scoring Mass Factor Device",
	    "00189360=SQCT Additional X-Ray Source Sequence",
	    "00189401=SQProjection Pixel Calibration Sequence",
	    "00189402=FLDistance Source to Isocenter",
	    "00189403=FLDistance Object to Table Top",
	    "00189404=FLObject Pixel Spacing in Center of Beam",
	    "00189405=SQPositioner Position Sequence",
	    "00189406=SQTable Position Sequence",
	    "00189407=SQCollimator Shape Sequence",
	    "00189412=SQXA/XRF Frame Characteristics Sequence",
	    "00189417=SQFrame Acquisition Sequence",
	    "00189420=CSX-Ray Receptor Type",
	    "00189423=LOAcquisition Protocol Name",
	    "00189424=LTAcquisition Protocol Description",
	    "00189425=CSContrast/Bolus Ingredient Opaque",
	    "00189426=FLDistance Receptor Plane to Detector Housing",
	    "00189427=CSIntensifier Active Shape",
	    "00189428=FLIntensifier Active Dimension(s)",
	    "00189429=FLPhysical Detector Size",
	    "00189430=USPosition of Isocenter Projection",
	    "00189432=SQField of View Sequence",
	    "00189433=LOField of View Description",
	    "00189434=SQExposure Control Sensing Regions Sequence",
	    "00189435=CSExposure Control Sensing Region Shape",
	    "00189436=SSExposure Control Sensing Region Left Vertical Edge",
	    "00189437=SSExposure Control Sensing Region Right Vertical Edge",
	    "00189438=SSExposure Control Sensing Region Upper Horizontal Edge",
	    "00189439=SSExposure Control Sensing Region Lower Horizontal Edge",
	    "00189440=SSCenter of Circular Exposure Control Sensing Region",
	    "00189441=USRadius of Circular Exposure Control Sensing Region",
	    "00189442=SSVertices of the Polygonal Exposure Control Sensing Region",
	    "00189447=FLColumn Angulation (Patient)",
	    "00189449=FLBeam Angle",
	    "00189451=SQFrame Detector Parameters Sequence",
	    "00189452=FLCalculated Anatomy Thickness",
	    "00189455=SQCalibration Sequence",
	    "00189456=SQObject Thickness Sequence",
	    "00189457=CSPlane Identification",
	    "00189461=FLField of View Dimension(s) in Float",
	    "00189462=SQIsocenter Reference System Sequence",
	    "00189463=FLPositioner Isocenter Primary Angle",
	    "00189464=FLPositioner Isocenter Secondary Angle",
	    "00189465=FLPositioner Isocenter Detector Rotation Angle",
	    "00189466=FLTable X Position to Isocenter",
	    "00189467=FLTable Y Position to Isocenter",
	    "00189468=FLTable Z Position to Isocenter",
	    "00189469=FLTable Horizontal Rotation Angle",
	    "00189470=FLTable Head Tilt Angle",
	    "00189471=FLTable Cradle Tilt Angle",
	    "00189472=SQFrame Display Shutter Sequence",
	    "00189473=FLAcquired Image Area Dose Product",
	    "00189474=CSC-arm Positioner Tabletop Relationship",
	    "00189476=SQX-Ray Geometry Sequence",
	    "00189477=SQIrradiation Event Identification Sequence",
	    "00189504=SQX-Ray 3D Frame Type Sequence",
	    "00189506=SQContributing Sources Sequence",
	    "00189507=SQX-Ray 3D Acquisition Sequence",
	    "00189508=FLPrimary Positioner Scan Arc",
	    "00189509=FLSecondary Positioner Scan Arc",
	    "00189510=FLPrimary Positioner Scan Start Angle",
	    "00189511=FLSecondary Positioner Scan Start Angle",
	    "00189514=FLPrimary Positioner Increment",
	    "00189515=FLSecondary Positioner Increment",
	    "00189516=DTStart Acquisition DateTime",
	    "00189517=DTEnd Acquisition DateTime",
	    "00189524=LOApplication Name",
	    "00189525=LOApplication Version",
	    "00189526=LOApplication Manufacturer",
	    "00189527=CSAlgorithm Type",
	    "00189528=LOAlgorithm Description",
	    "00189530=SQX-Ray 3D Reconstruction Sequence",
	    "00189531=LOReconstruction Description",
	    "00189538=SQPer Projection Acquisition Sequence",
	    "00189601=SQDiffusion b-matrix Sequence",
	    "00189602=FDDiffusion b-value XX",
	    "00189603=FDDiffusion b-value XY",
	    "00189604=FDDiffusion b-value XZ",
	    "00189605=FDDiffusion b-value YY",
	    "00189606=FDDiffusion b-value YZ",
	    "00189607=FDDiffusion b-value ZZ",
	    "0018A001=SQContributing Equipment Sequence",
	    "0018A002=DTContribution Date Time",
	    "0018A003=STContribution Description",
	    "0020000D=UIStudy Instance UID",
	    "0020000E=UISeries Instance UID",
	    "00200010=SHStudy ID",
	    "00200011=ISSeries Number",
	    "00200012=ISAcquisition Number",
	    "00200013=ISInstance Number",
	    "00200014=ISIsotope Number",
	    "00200015=ISPhase Number",
	    "00200016=ISInterval Number",
	    "00200017=ISTime Slot Number",
	    "00200018=ISAngle Number",
	    "00200019=ISItem Number",
	    "00200020=CSPatient Orientation",
	    "00200022=ISOverlay Number",
	    "00200024=ISCurve Number",
	    "00200026=ISLookup Table Number",
	    "00200030=DSImage Position",
	    "00200032=DSImage Position (Patient)",
	    "00200035=DSImage Orientation",
	    "00200037=DSImage Orientation (Patient)",
	    "00200050=DSLocation",
	    "00200052=UIFrame of Reference UID",
	    "00200060=CSLaterality",
	    "00200062=CSImage Laterality",
	    "00200070=LOImage Geometry Type",
	    "00200080=CSMasking Image",
	    "00200100=ISTemporal Position Identifier",
	    "00200105=ISNumber of Temporal Positions",
	    "00200110=DSTemporal Resolution",
	    "00200200=UISynchronization Frame of Reference UID",
	    "00201000=ISSeries in Study",
	    "00201001=ISAcquisitions in Series",
	    "00201002=ISImages in Acquisition",
	    "00201003=ISImages in Series",
	    "00201004=ISAcquisitions in Study",
	    "00201005=ISImages in Study",
	    "00201020=CSReference",
	    "00201040=LOPosition Reference Indicator",
	    "00201041=DSSlice Location",
	    "00201070=ISOther Study Numbers",
	    "00201200=ISNumber of Patient Related Studies",
	    "00201202=ISNumber of Patient Related Series",
	    "00201204=ISNumber of Patient Related Instances",
	    "00201206=ISNumber of Study Related Series",
	    "00201208=ISNumber of Study Related Instances",
	    "00201209=ISNumber of Series Related Instances",
	    "00203100 to 31FF=CSSource Image IDs",
	    "00203401=CSModifying Device ID",
	    "00203402=CSModified Image ID",
	    "00203403=DAModified Image Date",
	    "00203404=LOModifying Device Manufacturer",
	    "00203405=TMModified Image Time",
	    "00203406=LOModified Image Description",
	    "00204000=LTImage Comments",
	    "00205000=ATOriginal Image Identification",
	    "00205002=CSOriginal Image Identification Nomenclature",
	    "00209056=SHStack ID",
	    "00209057=ULIn-Stack Position Number",
	    "00209071=SQFrame Anatomy Sequence",
	    "00209072=CSFrame Laterality",
	    "00209111=SQFrame Content Sequence",
	    "00209113=SQPlane Position Sequence",
	    "00209116=SQPlane Orientation Sequence",
	    "00209128=ULTemporal Position Index",
	    "00209153=FDNominal Cardiac Trigger Delay Time",
	    "00209156=USFrame Acquisition Number",
	    "00209157=ULDimension Index Values",
	    "00209158=LTFrame Comments",
	    "00209161=UIConcatenation UID",
	    "00209162=USIn-concatenation Number",
	    "00209163=USIn-concatenation Total Number",
	    "00209164=UIDimension Organization UID",
	    "00209165=ATDimension Index Pointer",
	    "00209167=ATFunctional Group Pointer",
	    "00209213=LODimension Index Private Creator",
	    "00209221=SQDimension Organization Sequence",
	    "00209222=SQDimension Index Sequence",
	    "00209228=ULConcatenation Frame Offset Number",
	    "00209238=LOFunctional Group Private Creator",
	    "00209241=FLNominal Percentage of Cardiac Phase",
	    "00209245=FLNominal Percentage of Respiratory Phase",
	    "00209246=FLStarting Respiratory Amplitude",
	    "00209247=CSStarting Respiratory Phase",
	    "00209248=FLEnding Respiratory Amplitude",
	    "00209249=CSEnding Respiratory Phase",
	    "00209250=CSRespiratory Trigger Type",
	    "00209251=FDR – R Interval Time Nominal",
	    "00209252=FDActual Cardiac Trigger Delay Time",
	    "00209253=SQRespiratory Synchronization Sequence",
	    "00209254=FDRespiratory Interval Time",
	    "00209255=FDNominal Respiratory Trigger Delay Time",
	    "00209256=FDRespiratory Trigger Delay Threshold",
	    "00209257=FDActual Respiratory Trigger Delay Time",
	    "00209421=LODimension Description Label",
	    "00209450=SQPatient Orientation in Frame Sequence",
	    "00209453=LOFrame Label",
	    "00209518=USAcquisition Index",
	    "00209529=SQContributing SOP Instances Reference Sequence",
	    "00209536=USReconstruction Index",
	    "00220001=USLight Path Filter Pass-Through Wavelength",
	    "00220002=USLight Path Filter Pass Band",
	    "00220003=USImage Path Filter Pass-Through Wavelength",
	    "00220004=USImage Path Filter Pass Band",
	    "00220005=CSPatient Eye Movement Commanded",
	    "00220006=SQPatient Eye Movement Command Code Sequence",
	    "00220007=FLSpherical Lens Power",
	    "00220008=FLCylinder Lens Power",
	    "00220009=FLCylinder Axis",
	    "0022000A=FLEmmetropic Magnification",
	    "0022000B=FLIntra Ocular Pressure",
	    "0022000C=FLHorizontal Field of View",
	    "0022000D=CSPupil Dilated",
	    "0022000E=FLDegree of Dilation",
	    "00220010=FLStereo Baseline Angle",
	    "00220011=FLStereo Baseline Displacement",
	    "00220012=FLStereo Horizontal Pixel Offset",
	    "00220013=FLStereo Vertical Pixel Offset",
	    "00220014=FLStereo Rotation",
	    "00220015=SQAcquisition Device Type Code Sequence",
	    "00220016=SQIllumination Type Code Sequence",
	    "00220017=SQLight Path Filter Type Stack Code Sequence",
	    "00220018=SQImage Path Filter Type Stack Code Sequence",
	    "00220019=SQLenses Code Sequence",
	    "0022001A=SQChannel Description Code Sequence",
	    "0022001B=SQRefractive State Sequence",
	    "0022001C=SQMydriatic Agent Code Sequence",
	    "0022001D=SQRelative Image Position Code Sequence",
	    "00220020=SQStereo Pairs Sequence",
	    "00220021=SQLeft Image Sequence",
	    "00220022=SQRight Image Sequence",
	    "00220030=FLAxial Length of the Eye",
	    "00220031=SQOphthalmic Frame Location Sequence",
	    "00220032=FLReference Coordinates",
	    "00220035=FLDepth Spatial Resolution",
	    "00220036=FLMaximum Depth Distortion",
	    "00220037=FLAlong-scan Spatial Resolution",
	    "00220038=FLMaximum Along-scan Distortion",
	    "00220039=CSOphthalmic Image Orientation",
	    "00220041=FLDepth of Transverse Image",
	    "00220042=SQMydriatic Agent Concentration Units Sequence",
	    "00220048=FLAcross-scan Spatial Resolution",
	    "00220049=FLMaximum Across-scan Distortion",
	    "0022004E=DSMydriatic Agent Concentration",
	    "00220055=FLIllumination Wave Length",
	    "00220056=FLIllumination Power",
	    "00220057=FLIllumination Bandwidth",
	    "00220058=SQMydriatic Agent Sequence",
	    "00280002=USSamples per Pixel",
	    "00280003=USSamples per Pixel Used",
	    "00280004=CSPhotometric Interpretation",
	    "00280005=USImage Dimensions",
	    "00280006=USPlanar Configuration",
	    "00280008=ISNumber of Frames",
	    "00280009=ATFrame Increment Pointer",
	    "0028000A=ATFrame Dimension Pointer",
	    "00280010=USRows",
	    "00280011=USColumns",
	    "00280012=USPlanes",
	    "00280014=USUltrasound Color Data Present",
	    "00280030=DSPixel Spacing",
	    "00280031=DSZoom Factor",
	    "00280032=DSZoom Center",
	    "00280034=ISPixel Aspect Ratio",
	    "00280040=CSImage Format",
	    "00280050=LOManipulated Image",
	    "00280051=CSCorrected Image",
	    "0028005F=LOCompression Recognition Code",
	    "00280060=CSCompression Code",
	    "00280061=SHCompression Originator",
	    "00280062=LOCompression Label",
	    "00280063=SHCompression Description",
	    "00280065=CSCompression Sequence",
	    "00280066=ATCompression Step Pointers",
	    "00280068=USRepeat Interval",
	    "00280069=USBits Grouped",
	    "00280070=USPerimeter Table",
	    "00280071=USPerimeter Value",
	    "00280080=USPredictor Rows",
	    "00280081=USPredictor Columns",
	    "00280082=USPredictor Constants",
	    "00280090=CSBlocked Pixels",
	    "00280091=USBlock Rows",
	    "00280092=USBlock Columns",
	    "00280093=USRow Overlap",
	    "00280094=USColumn Overlap",
	    "00280100=USBits Allocated",
	    "00280101=USBits Stored",
	    "00280102=USHigh Bit",
	    "00280103=USPixel Representation",
	    "00280104=USSmallest Valid Pixel Value",
	    "00280105=USLargest Valid Pixel Value",
	    "00280106=USSmallest Image Pixel Value",
	    "00280107=USLargest Image Pixel Value",
	    "00280108=USSmallest Pixel Value in Series",
	    "00280109=USLargest Pixel Value in Series",
	    "00280110=USSmallest Image Pixel Value in Plane",
	    "00280111=USLargest Image Pixel Value in Plane",
	    "00280120=USPixel Padding Value",
	    "00280121=USPixel Padding Range Limit",
	    "00280200=USImage Location",
	    "00280300=CSQuality Control Image",
	    "00280301=CSBurned In Annotation",
	    "00280400=LOTransform Label",
	    "00280401=LOTransform Version Number",
	    "00280402=USNumber of Transform Steps",
	    "00280403=LOSequence of Compressed Data",
	    "00280404=ATDetails of Coefficients",
	    "002804x0=USRows For Nth Order Coefficients",
	    "002804x1=USColumns For Nth Order Coefficients",
	    "002804x2=LOCoefficient Coding",
	    "002804x3=ATCoefficient Coding Pointers",
	    "00280700=LODCT Label",
	    "00280701=CSData Block Description",
	    "00280702=ATData Block",
	    "00280710=USNormalization Factor Format",
	    "00280720=USZonal Map Number Format",
	    "00280721=ATZonal Map Location",
	    "00280722=USZonal Map Format",
	    "00280730=USAdaptive Map Format",
	    "00280740=USCode Number Format",
	    "002808x0=CSCode Label",
	    "002808x2=USNumber of Table",
	    "002808x3=ATCode Table Location",
	    "002808x4=USBits For Code Word",
	    "002808x8=ATImage Data Location",
	    "00280A02=CSPixel Spacing Calibration Type",
	    "00280A04=LOPixel Spacing Calibration Description",
	    "00281040=CSPixel Intensity Relationship",
	    "00281041=SSPixel Intensity Relationship Sign",
	    "00281050=DSWindow Center",
	    "00281051=DSWindow Width",
	    "00281052=DSRescale Intercept",
	    "00281053=DSRescale Slope",
	    "00281054=LORescale Type",
	    "00281055=LOWindow Center & Width Explanation",
	    "00281056=CSVOI LUT Function",
	    "00281080=CSGray Scale",
	    "00281090=CSRecommended Viewing Mode",
	    "00281100=USGray Lookup Table Descriptor ",
	    "00281101=USRed Palette Color Lookup Table Descriptor ",
	    "00281102=USGreen Palette Color Lookup Table Descriptor ",
	    "00281103=USBlue Palette Color Lookup Table Descriptor ",
	    "00281111=USLarge Red Palette Color Lookup Table Descriptor ",
	    "00281112=USLarge Green Palette Color Lookup Table Descriptor ",
	    "00281113=USLarge Blue Palette Color Lookup Table Descriptor ",
	    "00281199=UIPalette Color Lookup Table UID",
	    "00281200=USGray Lookup Table Data",
	    "00281201=OWRed Palette Color Lookup Table Data",
	    "00281202=OWGreen Palette Color Lookup Table Data",
	    "00281203=OWBlue Palette Color Lookup Table Data",
	    "00281211=OWLarge Red Palette Color Lookup Table Data",
	    "00281212=OWLarge Green Palette Color Lookup Table Data",
	    "00281213=OWLarge Blue Palette Color Lookup Table Data",
	    "00281214=UILarge Palette Color Lookup Table UID",
	    "00281221=OWSegmented Red Palette Color Lookup Table Data",
	    "00281222=OWSegmented Green Palette Color Lookup Table Data",
	    "00281223=OWSegmented Blue Palette Color Lookup Table Data",
	    "00281300=CSImplant Present",
	    "00281350=CSPartial View",
	    "00281351=STPartial View Description",
	    "00281352=SQPartial View Code Sequence",
	    "0028135A=CSSpatial Locations Preserved",
	    "00282000=OBICC Profile",
	    "00282110=CSLossy Image Compression",
	    "00282112=DSLossy Image Compression Ratio",
	    "00282114=CSLossy Image Compression Method",
	    "00283000=SQModality LUT Sequence",
	    "00283002=USLUT Descriptor",
	    "00283003=LOLUT Explanation",
	    "00283004=LOModality LUT Type",
	    "00283006=USLUT Data",
	    "00283010=SQVOI LUT Sequence",
	    "00283110=SQSoftcopy VOI LUT Sequence",
	    "00284000=LTImage Presentation Comments",
	    "00285000=SQBi-Plane Acquisition Sequence",
	    "00286010=USRepresentative Frame Number",
	    "00286020=USFrame Numbers of Interest (FOI) ",
	    "00286022=LOFrame(s) of Interest Description",
	    "00286023=CSFrame of Interest Type",
	    "00286030=USMask Pointer(s)",
	    "00286040=USR Wave Pointer",
	    "00286100=SQMask Subtraction Sequence",
	    "00286101=CSMask Operation",
	    "00286102=USApplicable Frame Range",
	    "00286110=USMask Frame Numbers",
	    "00286112=USContrast Frame Averaging",
	    "00286114=FLMask Sub-pixel Shift",
	    "00286120=SSTID Offset",
	    "00286190=STMask Operation Explanation",
	    "00287FE0=UTPixel Data Provider URL",
	    "00289001=ULData Point Rows",
	    "00289002=ULData Point Columns",
	    "00289003=CSSignal Domain Columns",
	    "00289099=USLargest Monochrome Pixel Value",
	    "00289108=CSData Representation",
	    "00289110=SQPixel Measures Sequence",
	    "00289132=SQFrame VOI LUT Sequence",
	    "00289145=SQPixel Value Transformation Sequence",
	    "00289235=CSSignal Domain Rows",
	    "00289411=FLDisplay Filter Percentage",
	    "00289415=SQFrame Pixel Shift Sequence",
	    "00289416=USSubtraction Item ID",
	    "00289422=SQPixel Intensity Relationship LUT Sequence",
	    "00289443=SQFrame Pixel Data Properties Sequence",
	    "00289444=CSGeometrical Properties",
	    "00289445=FLGeometric Maximum Distortion",
	    "00289446=CSImage Processing Applied",
	    "00289454=CSMask Selection Mode",
	    "00289474=CSLUT Function",
	    "00289520=DSImage to Equipment Mapping Matrix",
	    "00289537=CSEquipment Coordinate System Identification",
	    "0032000A=CSStudy Status ID",
	    "0032000C=CSStudy Priority ID",
	    "00320012=LOStudy ID Issuer",
	    "00320032=DAStudy Verified Date",
	    "00320033=TMStudy Verified Time",
	    "00320034=DAStudy Read Date",
	    "00320035=TMStudy Read Time",
	    "00321000=DAScheduled Study Start Date",
	    "00321001=TMScheduled Study Start Time",
	    "00321010=DAScheduled Study Stop Date",
	    "00321011=TMScheduled Study Stop Time",
	    "00321020=LOScheduled Study Location",
	    "00321021=AEScheduled Study Location AE Title",
	    "00321030=LOReason for Study",
	    "00321031=SQRequesting Physician Identification Sequence",
	    "00321032=PNRequesting Physician",
	    "00321033=LORequesting Service",
	    "00321040=DAStudy Arrival Date",
	    "00321041=TMStudy Arrival Time",
	    "00321050=DAStudy Completion Date",
	    "00321051=TMStudy Completion Time",
	    "00321055=CSStudy Component Status ID",
	    "00321060=LORequested Procedure Description",
	    "00321064=SQRequested Procedure Code Sequence",
	    "00321070=LORequested Contrast Agent",
	    "00324000=LTStudy Comments",
	    "00380004=SQReferenced Patient Alias Sequence",
	    "00380008=CSVisit Status ID",
	    "00380010=LOAdmission ID",
	    "00380011=LOIssuer of Admission ID",
	    "00380016=LORoute of Admissions",
	    "0038001A=DAScheduled Admission Date",
	    "0038001B=TMScheduled Admission Time",
	    "0038001C=DAScheduled Discharge Date",
	    "0038001D=TMScheduled Discharge Time",
	    "0038001E=LOScheduled Patient Institution Residence",
	    "00380020=DAAdmitting Date",
	    "00380021=TMAdmitting Time",
	    "00380030=DADischarge Date",
	    "00380032=TMDischarge Time",
	    "00380040=LODischarge Diagnosis Description",
	    "00380044=SQDischarge Diagnosis Code Sequence",
	    "00380050=LOSpecial Needs",
	    "00380060=LOService Episode ID",
	    "00380061=LOIssuer of Service Episode ID",
	    "00380062=LOService Episode Description",
	    "00380100=SQPertinent Documents Sequence",
	    "00380300=LOCurrent Patient Location",
	    "00380400=LOPatient's Institution Residence",
	    "00380500=LOPatient State",
	    "00380502=SQPatient Clinical Trial Participation Sequence",
	    "00384000=LTVisit Comments",
	    "003A0004=CSWaveform Originality",
	    "003A0005=USNumber of Waveform Channels ",
	    "003A0010=ULNumber of Waveform Samples ",
	    "003A001A=DSSampling Frequency ",
	    "003A0020=SHMultiplex Group Label ",
	    "003A0200=SQChannel Definition Sequence",
	    "003A0202=ISWaveform Channel Number ",
	    "003A0203=SHChannel Label",
	    "003A0205=CSChannel Status",
	    "003A0208=SQChannel Source Sequence",
	    "003A0209=SQChannel Source Modifiers Sequence",
	    "003A020A=SQSource Waveform Sequence",
	    "003A020C=LOChannel Derivation Description",
	    "003A0210=DSChannel Sensitivity ",
	    "003A0211=SQChannel Sensitivity Units Sequence",
	    "003A0212=DSChannel Sensitivity Correction Factor",
	    "003A0213=DSChannel Baseline ",
	    "003A0214=DSChannel Time Skew",
	    "003A0215=DSChannel Sample Skew",
	    "003A0218=DSChannel Offset",
	    "003A021A=USWaveform Bits Stored",
	    "003A0220=DSFilter Low Frequency",
	    "003A0221=DSFilter High Frequency",
	    "003A0222=DSNotch Filter Frequency",
	    "003A0223=DSNotch Filter Bandwidth",
	    "003A0230=FLWaveform Data Display Scale",
	    "003A0231=USWaveform Display Background CIELab Value",
	    "003A0240=SQWaveform Presentation Group Sequence",
	    "003A0241=USPresentation Group Number",
	    "003A0242=SQChannel Display Sequence",
	    "003A0244=USChannel Recommended Display CIELab Value",
	    "003A0245=FLChannel Position",
	    "003A0246=CSDisplay Shading Flag",
	    "003A0247=FLFractional Channel Display Scale",
	    "003A0248=FLAbsolute Channel Display Scale",
	    "003A0300=SQMultiplexed Audio Channels Description Code Sequence",
	    "003A0301=ISChannel Identification Code",
	    "003A0302=CSChannel Mode",
	    "00400001=AEScheduled Station AE Title",
	    "00400002=DAScheduled Procedure Step Start Date",
	    "00400003=TMScheduled Procedure Step Start Time",
	    "00400004=DAScheduled Procedure Step End Date",
	    "00400005=TMScheduled Procedure Step End Time",
	    "00400006=PNScheduled Performing Physician's Name",
	    "00400007=LOScheduled Procedure Step Description",
	    "00400008=SQScheduled Protocol Code Sequence",
	    "00400009=SHScheduled Procedure Step ID",
	    "0040000A=SQStage Code Sequence",
	    "0040000B=SQScheduled Performing Physician Identification Sequence",
	    "00400010=SHScheduled Station Name",
	    "00400011=SHScheduled Procedure Step Location",
	    "00400012=LOPre-Medication",
	    "00400020=CSScheduled Procedure Step Status",
	    "00400100=SQScheduled Procedure Step Sequence",
	    "00400220=SQReferenced Non-Image Composite SOP Instance Sequence ",
	    "00400241=AEPerformed Station AE Title",
	    "00400242=SHPerformed Station Name  ",
	    "00400243=SHPerformed Location",
	    "00400244=DAPerformed Procedure Step Start Date",
	    "00400245=TMPerformed Procedure Step Start Time",
	    "00400250=DAPerformed Procedure Step End Date",
	    "00400251=TMPerformed Procedure Step End Time",
	    "00400252=CSPerformed Procedure Step Status",
	    "00400253=SHPerformed Procedure Step ID",
	    "00400254=LOPerformed Procedure Step Description",
	    "00400255=LOPerformed Procedure Type Description",
	    "00400260=SQPerformed Protocol Code Sequence",
	    "00400270=SQScheduled Step Attributes Sequence",
	    "00400275=SQRequest Attributes Sequence",
	    "00400280=STComments on the Performed Procedure Step",
	    "00400281=SQPerformed Procedure Step Discontinuation Reason Code Sequence",
	    "00400293=SQQuantity Sequence",
	    "00400294=DSQuantity",
	    "00400295=SQMeasuring Units Sequence",
	    "00400296=SQBilling Item Sequence",
	    "00400300=USTotal Time of Fluoroscopy",
	    "00400301=USTotal Number of Exposures",
	    "00400302=USEntrance Dose",
	    "00400303=USExposed Area",
	    "00400306=DSDistance Source to Entrance",
	    "00400307=DSDistance Source to Support",
	    "0040030E=SQExposure Dose Sequence",
	    "00400310=STComments on Radiation Dose",
	    "00400312=DSX-Ray Output",
	    "00400314=DSHalf Value Layer",
	    "00400316=DSOrgan Dose",
	    "00400318=CSOrgan Exposed",
	    "00400320=SQBilling Procedure Step Sequence",
	    "00400321=SQFilm Consumption Sequence",
	    "00400324=SQBilling Supplies and Devices Sequence",
	    "00400330=SQReferenced Procedure Step Sequence",
	    "00400340=SQPerformed Series Sequence",
	    "00400400=LTComments on the Scheduled Procedure Step",
	    "00400440=SQProtocol Context Sequence",
	    "00400441=SQContent Item Modifier Sequence",
	    "0040050A=LOSpecimen Accession Number",
	    "00400550=SQSpecimen Sequence",
	    "00400551=LOSpecimen Identifier",
	    "00400552=SQSpecimen Description Sequence – Trial",
	    "00400553=STSpecimen Description – Trial",
	    "00400555=SQAcquisition Context Sequence",
	    "00400556=STAcquisition Context Description",
	    "0040059A=SQSpecimen Type Code Sequence",
	    "004006FA=LOSlide Identifier",
	    "0040071A=SQImage Center Point Coordinates Sequence",
	    "0040072A=DSX offset in Slide Coordinate System",
	    "0040073A=DSY offset in Slide Coordinate System",
	    "0040074A=DSZ offset in Slide Coordinate System",
	    "004008D8=SQPixel Spacing Sequence",
	    "004008DA=SQCoordinate System Axis Code Sequence",
	    "004008EA=SQMeasurement Units Code Sequence",
	    "004009F8=SQVital Stain Code Sequence – Trial",
	    "00401001=SHRequested Procedure ID",
	    "00401002=LOReason for the Requested Procedure",
	    "00401003=SHRequested Procedure Priority ",
	    "00401004=LOPatient Transport Arrangements",
	    "00401005=LORequested Procedure Location",
	    "00401006=SHPlacer Order Number / Procedure",
	    "00401007=SHFiller Order Number / Procedure",
	    "00401008=LOConfidentiality Code",
	    "00401009=SHReporting Priority",
	    "0040100A=SQReason for Requested Procedure Code Sequence",
	    "00401010=PNNames of Intended Recipients of Results",
	    "00401011=SQIntended Recipients of Results Identification Sequence",
	    "00401101=SQPerson Identification Code Sequence",
	    "00401102=STPerson's Address",
	    "00401103=LOPerson's Telephone Numbers",
	    "00401400=LTRequested Procedure Comments",
	    "00402001=LOReason for the Imaging Service Request",
	    "00402004=DAIssue Date of Imaging Service Request",
	    "00402005=TMIssue Time of Imaging Service Request",
	    "00402006=SHPlacer Order Number / Imaging Service Request (Retired)",
	    "00402007=SHFiller Order Number / Imaging Service Request (Retired)",
	    "00402008=PNOrder Entered By",
	    "00402009=SHOrder Enterer's Location",
	    "00402010=SHOrder Callback Phone Number",
	    "00402016=LOPlacer Order Number / Imaging Service Request",
	    "00402017=LOFiller Order Number / Imaging Service Request",
	    "00402400=LTImaging Service Request Comments",
	    "00403001=LOConfidentiality Constraint on Patient Data Description",
	    "00404001=CSGeneral Purpose Scheduled Procedure Step Status",
	    "00404002=CSGeneral Purpose Performed Procedure Step Status",
	    "00404003=CSGeneral Purpose Scheduled Procedure Step Priority",
	    "00404004=SQScheduled Processing Applications Code Sequence",
	    "00404005=DTScheduled Procedure Step Start Date and Time",
	    "00404006=CSMultiple Copies Flag",
	    "00404007=SQPerformed Processing Applications Code Sequence",
	    "00404009=SQHuman Performer Code Sequence",
	    "00404010=DTScheduled Procedure Step Modification Date and Time",
	    "00404011=DTExpected Completion Date and Time",
	    "00404015=SQResulting General Purpose Performed Procedure Steps Sequence",
	    "00404016=SQReferenced General Purpose Scheduled Procedure Step Sequence",
	    "00404018=SQScheduled Workitem Code Sequence",
	    "00404019=SQPerformed Workitem Code Sequence",
	    "00404020=CSInput Availability Flag",
	    "00404021=SQInput Information Sequence",
	    "00404022=SQRelevant Information Sequence",
	    "00404023=UIReferenced General Purpose Scheduled Procedure Step Transaction UID",
	    "00404025=SQScheduled Station Name Code Sequence",
	    "00404026=SQScheduled Station Class Code Sequence",
	    "00404027=SQScheduled Station Geographic Location Code Sequence",
	    "00404028=SQPerformed Station Name Code Sequence",
	    "00404029=SQPerformed Station Class Code Sequence",
	    "00404030=SQPerformed Station Geographic Location Code Sequence",
	    "00404031=SQRequested Subsequent Workitem Code Sequence",
	    "00404032=SQNon-DICOM Output Code Sequence",
	    "00404033=SQOutput Information Sequence",
	    "00404034=SQScheduled Human Performers Sequence",
	    "00404035=SQActual Human Performers Sequence",
	    "00404036=LOHuman Performer's Organization",
	    "00404037=PNHuman Performer's Name",
	    "00408302=DSEntrance Dose in mGy",
	    "00409094=SQReferenced Image Real World Value Mapping Sequence",
	    "00409096=SQReal World Value Mapping Sequence ",
	    "00409098=SQPixel Value Mapping Code Sequence",
	    "00409210=SHLUT Label",
	    "00409211=USReal World Value Last Value Mapped",
	    "00409212=FDReal World Value LUT Data",
	    "00409216=USReal World Value First Value Mapped",
	    "00409224=FDReal World Value Intercept",
	    "00409225=FDReal World Value Slope",
	    "0040A010=CSRelationship Type",
	    "0040A027=LOVerifying Organization",
	    "0040A030=DTVerification Date Time",
	    "0040A032=DTObservation Date Time",
	    "0040A040=CSValue Type",
	    "0040A043=SQConcept Name Code Sequence",
	    "0040A050=CSContinuity Of Content",
	    "0040A073=SQVerifying Observer Sequence",
	    "0040A075=PNVerifying Observer Name",
	    "0040A078=SQAuthor Observer Sequence",
	    "0040A07A=SQParticipant Sequence",
	    "0040A07C=SQCustodial Organization Sequence",
	    "0040A080=CSParticipation Type",
	    "0040A082=DTParticipation DateTime",
	    "0040A084=CSObserver Type",
	    "0040A088=SQVerifying Observer Identification Code Sequence",
	    "0040A090=SQEquivalent CDA Document Sequence",
	    "0040A0B0=USReferenced Waveform Channels",
	    "0040A120=DTDateTime",
	    "0040A121=DADate",
	    "0040A122=TMTime",
	    "0040A123=PNPerson Name",
	    "0040A124=UIUID",
	    "0040A130=CSTemporal Range Type",
	    "0040A132=ULReferenced Sample Positions",
	    "0040A136=USReferenced Frame Numbers",
	    "0040A138=DSReferenced Time Offsets",
	    "0040A13A=DTReferenced DateTime ",
	    "0040A160=UTText Value",
	    "0040A168=SQConcept Code Sequence",
	    "0040A170=SQPurpose of Reference Code Sequence",
	    "0040A180=USAnnotation Group Number",
	    "0040A195=SQModifier Code Sequence ",
	    "0040A300=SQMeasured Value Sequence",
	    "0040A301=SQNumeric Value Qualifier Code Sequence",
	    "0040A30A=DSNumeric Value",
	    "0040A353=STAddress – Trial",
	    "0040A354=LOTelephone Number – Trial",
	    "0040A360=SQPredecessor Documents Sequence",
	    "0040A370=SQReferenced Request Sequence",
	    "0040A372=SQPerformed Procedure Code Sequence",
	    "0040A375=SQCurrent Requested Procedure Evidence Sequence",
	    "0040A385=SQPertinent Other Evidence Sequence",
	    "0040A390=SQHL7 Structured Document Reference Sequence",
	    "0040A491=CSCompletion Flag",
	    "0040A492=LOCompletion Flag Description",
	    "0040A493=CSVerification Flag",
	    "0040A494=CSArchive Requested",
	    "0040A504=SQContent Template Sequence",
	    "0040A525=SQIdentical Documents Sequence",
	    "0040A730=SQContent Sequence",
	    "0040B020=SQAnnotation Sequence",
	    "0040DB00=CSTemplate Identifier",
	    "0040DB06=DTTemplate Version",
	    "0040DB07=DTTemplate Local Version",
	    "0040DB0B=CSTemplate Extension Flag",
	    "0040DB0C=UITemplate Extension Organization UID",
	    "0040DB0D=UITemplate Extension Creator UID",
	    "0040DB73=ULReferenced Content Item Identifier",
	    "0040E001=STHL7 Instance Identifier ",
	    "0040E004=DTHL7 Document Effective Time",
	    "0040E006=SQHL7 Document Type Code Sequence",
	    "0040E010=UTRetrieve URI ",
	    "00420010=STDocument Title",
	    "00420011=OBEncapsulated Document",
	    "00420012=LOMIME Type of Encapsulated Document",
	    "00420013=SQSource Instance Sequence",
	    "00420014=LOList of MIME Types",
	    "00440001=STProduct Package Identifier",
	    "00440002=CSSubstance Administration Approval",
	    "00440003=LTApproval Status Further Description",
	    "00440004=DTApproval Status DateTime ",
	    "00440007=SQProduct Type Code Sequence",
	    "00440008=LOProduct Name",
	    "00440009=LTProduct Description",
	    "0044000A=LOProduct Lot Identifier",
	    "0044000B=DTProduct Expiration DateTime",
	    "00440010=DTSubstance Administration DateTime",
	    "00440011=LOSubstance Administration Notes",
	    "00440012=LOSubstance Administration Device ID",
	    "00440013=SQProduct Parameter Sequence",
	    "00440019=SQSubstance Administration Parameter Sequence",
	    "00500004=CSCalibration Image",
	    "00500010=SQDevice Sequence",
	    "00500014=DSDevice Length",
	    "00500016=DSDevice Diameter",
	    "00500017=CSDevice Diameter Units",
	    "00500018=DSDevice Volume",
	    "00500019=DSIntermarker Distance",
	    "00500020=LODevice Description",
	    "00540010=USEnergy Window Vector",
	    "00540011=USNumber of Energy Windows",
	    "00540012=SQEnergy Window Information Sequence",
	    "00540013=SQEnergy Window Range Sequence",
	    "00540014=DSEnergy Window Lower Limit",
	    "00540015=DSEnergy Window Upper Limit",
	    "00540016=SQRadiopharmaceutical Information Sequence",
	    "00540017=ISResidual Syringe Counts",
	    "00540018=SHEnergy Window Name",
	    "00540020=USDetector Vector",
	    "00540021=USNumber of Detectors",
	    "00540022=SQDetector Information Sequence",
	    "00540030=USPhase Vector",
	    "00540031=USNumber of Phases",
	    "00540032=SQPhase Information Sequence",
	    "00540033=USNumber of Frames in Phase",
	    "00540036=ISPhase Delay",
	    "00540038=ISPause Between Frames",
	    "00540039=CSPhase Description",
	    "00540050=USRotation Vector",
	    "00540051=USNumber of Rotations",
	    "00540052=SQRotation Information Sequence",
	    "00540053=USNumber of Frames in Rotation",
	    "00540060=USR-R Interval Vector",
	    "00540061=USNumber of R-R Intervals",
	    "00540062=SQGated Information Sequence",
	    "00540063=SQData Information Sequence",
	    "00540070=USTime Slot Vector",
	    "00540071=USNumber of Time Slots",
	    "00540072=SQTime Slot Information Sequence",
	    "00540073=DSTime Slot Time",
	    "00540080=USSlice Vector",
	    "00540081=USNumber of Slices",
	    "00540090=USAngular View Vector",
	    "00540100=USTime Slice Vector",
	    "00540101=USNumber of Time Slices",
	    "00540200=DSStart Angle",
	    "00540202=CSType of Detector Motion",
	    "00540210=ISTrigger Vector",
	    "00540211=USNumber of Triggers in Phase",
	    "00540220=SQView Code Sequence",
	    "00540222=SQView Modifier Code Sequence",
	    "00540300=SQRadionuclide Code Sequence",
	    "00540302=SQAdministration Route Code Sequence",
	    "00540304=SQRadiopharmaceutical Code Sequence",
	    "00540306=SQCalibration Data Sequence",
	    "00540308=USEnergy Window Number",
	    "00540400=SHImage ID",
	    "00540410=SQPatient Orientation Code Sequence",
	    "00540412=SQPatient Orientation Modifier Code Sequence",
	    "00540414=SQPatient Gantry Relationship Code Sequence",
	    "00540500=CSSlice Progression Direction",
	    "00541000=CSSeries Type",
	    "00541001=CSUnits",
	    "00541002=CSCounts Source",
	    "00541004=CSReprojection Method",
	    "00541100=CSRandoms Correction Method",
	    "00541101=LOAttenuation Correction Method",
	    "00541102=CSDecay Correction",
	    "00541103=LOReconstruction Method",
	    "00541104=LODetector Lines of Response Used",
	    "00541105=LOScatter Correction Method",
	    "00541200=DSAxial Acceptance",
	    "00541201=ISAxial Mash",
	    "00541202=ISTransverse Mash",
	    "00541203=DSDetector Element Size",
	    "00541210=DSCoincidence Window Width",
	    "00541220=CSSecondary Counts Type",
	    "00541300=DSFrame Reference Time",
	    "00541310=ISPrimary (Prompts) Counts Accumulated",
	    "00541311=ISSecondary Counts Accumulated",
	    "00541320=DSSlice Sensitivity Factor",
	    "00541321=DSDecay Factor",
	    "00541322=DSDose Calibration Factor",
	    "00541323=DSScatter Fraction Factor",
	    "00541324=DSDead Time Factor",
	    "00541330=USImage Index",
	    "00541400=CSCounts Included",
	    "00541401=CSDead Time Correction Flag",
	    "00603000=SQHistogram Sequence",
	    "00603002=USHistogram Number of Bins",
	    "00603004=USHistogram First Bin Value",
	    "00603006=USHistogram Last Bin Value",
	    "00603008=USHistogram Bin Width",
	    "00603010=LOHistogram Explanation",
	    "00603020=ULHistogram Data",
	    "00620001=CSSegmentation Type",
	    "00620002=SQSegment Sequence",
	    "00620003=SQSegmented Property Category Code Sequence",
	    "00620004=USSegment Number",
	    "00620005=LOSegment Label",
	    "00620006=STSegment Description",
	    "00620008=CSSegment Algorithm Type",
	    "00620009=LOSegment Algorithm Name",
	    "0062000A=SQSegment Identification Sequence",
	    "0062000B=USReferenced Segment Number",
	    "0062000C=USRecommended Display Grayscale Value",
	    "0062000D=USRecommended Display CIELab Value",
	    "0062000E=USMaximum Fractional Value",
	    "0062000F=SQSegmented Property Type Code Sequence",
	    "00620010=CSSegmentation Fractional Type",
	    "00640002=SQDeformable Registration Sequence",
	    "00640003=UISource Frame of Reference UID",
	    "00640005=SQDeformable Registration Grid Sequence",
	    "00640007=ULGrid Dimensions",
	    "00640008=FDGrid Resolution",
	    "00640009=OFVector Grid Data",
	    "0064000F=SQPre Deformation Matrix Registration Sequence",
	    "00640010=SQPost Deformation Matrix Registration Sequence",
	    "00700001=SQGraphic Annotation Sequence",
	    "00700002=CSGraphic Layer",
	    "00700003=CSBounding Box Annotation Units",
	    "00700004=CSAnchor Point Annotation Units",
	    "00700005=CSGraphic Annotation Units",
	    "00700006=STUnformatted Text Value",
	    "00700008=SQText Object Sequence",
	    "00700009=SQGraphic Object Sequence",
	    "00700010=FLBounding Box Top Left Hand Corner",
	    "00700011=FLBounding Box Bottom Right Hand Corner",
	    "00700012=CSBounding Box Text Horizontal Justification",
	    "00700014=FLAnchor Point",
	    "00700015=CSAnchor Point Visibility",
	    "00700020=USGraphic Dimensions ",
	    "00700021=USNumber of Graphic Points",
	    "00700022=FLGraphic Data",
	    "00700023=CSGraphic Type",
	    "00700024=CSGraphic Filled",
	    "00700040=ISImage Rotation (Retired)",
	    "00700041=CSImage Horizontal Flip",
	    "00700042=USImage Rotation ",
	    "00700050=USDisplayed Area Top Left Hand Corner (Trial)",
	    "00700051=USDisplayed Area Bottom Right Hand Corner (Trial)",
	    "00700052=SLDisplayed Area Top Left Hand Corner",
	    "00700053=SLDisplayed Area Bottom Right Hand Corner",
	    "0070005A=SQDisplayed Area Selection Sequence",
	    "00700060=SQGraphic Layer Sequence",
	    "00700062=ISGraphic Layer Order",
	    "00700066=USGraphic Layer Recommended Display Grayscale Value",
	    "00700067=USGraphic Layer Recommended Display RGB Value",
	    "00700068=LOGraphic Layer Description",
	    "00700080=CSContent Label",
	    "00700081=LOContent Description",
	    "00700082=DAPresentation Creation Date",
	    "00700083=TMPresentation Creation Time",
	    "00700084=PNContent Creator's Name",
	    "00700086=SQContent Creator's Identification Code Sequence",
	    "00700100=CSPresentation Size Mode",
	    "00700101=DSPresentation Pixel Spacing",
	    "00700102=ISPresentation Pixel Aspect Ratio",
	    "00700103=FLPresentation Pixel Magnification Ratio",
	    "00700306=CSShape Type",
	    "00700308=SQRegistration Sequence",
	    "00700309=SQMatrix Registration Sequence",
	    "0070030A=SQMatrix Sequence",
	    "0070030C=CSFrame of Reference Transformation Matrix Type",
	    "0070030D=SQRegistration Type Code Sequence",
	    "0070030F=STFiducial Description",
	    "00700310=SHFiducial Identifier",
	    "00700311=SQFiducial Identifier Code Sequence",
	    "00700312=FDContour Uncertainty Radius",
	    "00700314=SQUsed Fiducials Sequence",
	    "00700318=SQGraphic Coordinates Data Sequence",
	    "0070031A=UIFiducial UID",
	    "0070031C=SQFiducial Set Sequence",
	    "0070031E=SQFiducial Sequence",
	    "00700401=USGraphic Layer Recommended Display CIELab Value",
	    "00700402=SQBlending Sequence",
	    "00700403=FLRelative Opacity",
	    "00700404=SQReferenced Spatial Registration Sequence",
	    "00700405=CSBlending Position",
	    "00720002=SHHanging Protocol Name",
	    "00720004=LOHanging Protocol Description",
	    "00720006=CSHanging Protocol Level",
	    "00720008=LOHanging Protocol Creator",
	    "0072000A=DTHanging Protocol Creation DateTime",
	    "0072000C=SQHanging Protocol Definition Sequence",
	    "0072000E=SQHanging Protocol User Identification Code Sequence",
	    "00720010=LOHanging Protocol User Group Name",
	    "00720012=SQSource Hanging Protocol Sequence",
	    "00720014=USNumber of Priors Referenced",
	    "00720020=SQImage Sets Sequence",
	    "00720022=SQImage Set Selector Sequence",
	    "00720024=CSImage Set Selector Usage Flag",
	    "00720026=ATSelector Attribute",
	    "00720028=USSelector Value Number",
	    "00720030=SQTime Based Image Sets Sequence",
	    "00720032=USImage Set Number",
	    "00720034=CSImage Set Selector Category",
	    "00720038=USRelative Time",
	    "0072003A=CSRelative Time Units",
	    "0072003C=SSAbstract Prior Value",
	    "0072003E=SQAbstract Prior Code Sequence",
	    "00720040=LOImage Set Label",
	    "00720050=CSSelector Attribute VR",
	    "00720052=ATSelector Sequence Pointer",
	    "00720054=LOSelector Sequence Pointer Private Creator",
	    "00720056=LOSelector Attribute Private Creator",
	    "00720060=ATSelector AT Value",
	    "00720062=CSSelector CS Value",
	    "00720064=ISSelector IS Value",
	    "00720066=LOSelector LO Value",
	    "00720068=LTSelector LT Value",
	    "0072006A=PNSelector PN Value",
	    "0072006C=SHSelector SH Value",
	    "0072006E=STSelector ST Value",
	    "00720070=UTSelector UT Value",
	    "00720072=DSSelector DS Value",
	    "00720074=FDSelector FD Value",
	    "00720076=FLSelector FL Value",
	    "00720078=ULSelector UL Value",
	    "0072007A=USSelector US Value",
	    "0072007C=SLSelector SL Value",
	    "0072007E=SSSelector SS Value",
	    "00720080=SQSelector Code Sequence Value",
	    "00720100=USNumber of Screens",
	    "00720102=SQNominal Screen Definition Sequence",
	    "00720104=USNumber of Vertical Pixels",
	    "00720106=USNumber of Horizontal Pixels",
	    "00720108=FDDisplay Environment Spatial Position",
	    "0072010A=USScreen Minimum Grayscale Bit Depth",
	    "0072010C=USScreen Minimum Color Bit Depth",
	    "0072010E=USApplication Maximum Repaint Time",
	    "00720200=SQDisplay Sets Sequence",
	    "00720202=USDisplay Set Number",
	    "00720203=LODisplay Set Label",
	    "00720204=USDisplay Set Presentation Group",
	    "00720206=LODisplay Set Presentation Group Description",
	    "00720208=CSPartial Data Display Handling",
	    "00720210=SQSynchronized Scrolling Sequence",
	    "00720212=USDisplay Set Scrolling Group",
	    "00720214=SQNavigation Indicator Sequence",
	    "00720216=USNavigation Display Set ",
	    "00720218=USReference Display Sets",
	    "00720300=SQImage Boxes Sequence",
	    "00720302=USImage Box Number",
	    "00720304=CSImage Box Layout Type",
	    "00720306=USImage Box Tile Horizontal Dimension",
	    "00720308=USImage Box Tile Vertical Dimension",
	    "00720310=CSImage Box Scroll Direction",
	    "00720312=CSImage Box Small Scroll Type",
	    "00720314=USImage Box Small Scroll Amount",
	    "00720316=CSImage Box Large Scroll Type",
	    "00720318=USImage Box Large Scroll Amount",
	    "00720320=USImage Box Overlap Priority",
	    "00720330=FDCine Relative to Real-Time",
	    "00720400=SQFilter Operations Sequence",
	    "00720402=CSFilter-by Category",
	    "00720404=CSFilter-by Attribute Presence",
	    "00720406=CSFilter-by Operator",
	    "00720500=CSBlending Operation Type",
	    "00720510=CSReformatting Operation Type",
	    "00720512=FDReformatting Thickness",
	    "00720514=FDReformatting Interval",
	    "00720516=CSReformatting Operation Initial View Direction",
	    "00720520=CS3D Rendering Type",
	    "00720600=SQSorting Operations Sequence",
	    "00720602=CSSort-by Category",
	    "00720604=CSSorting Direction",
	    "00720700=CSDisplay Set Patient Orientation",
	    "00720702=CSVOI Type",
	    "00720704=CSPseudo-color Type",
	    "00720706=CSShow Grayscale Inverted",
	    "00720710=CSShow Image True Size Flag",
	    "00720712=CSShow Graphic Annotation Flag",
	    "00720714=CSShow Patient Demographics Flag",
	    "00720716=CSShow Acquisition Techniques Flag",
	    "00720717=CSDisplay Set Horizontal Justification ",
	    "00720718=CSDisplay Set Vertical Justification",
	    "00741000=CSUnified Procedure Step State",
	    "00741002=SQUPS Progress Information Sequence",
	    "00741004=DSUnified Procedure Step Progress",
	    "00741006=STUnified Procedure Step Progress Description",
	    "00741008=SQUnified Procedure Step Communications URI Sequence",
	    "0074100a=STContact URI",
	    "0074100c=LOContact Display Name",
	    "0074100e=SQUnified Procedure Step Discontinuation Reason Code Sequence",
	    "00741020=SQBeam Task Sequence",
	    "00741022=CSBeam Task Type",
	    "00741024=ISBeam Order Index",
	    "00741030=SQDelivery Verification Image Sequence",
	    "00741032=CSVerification Image Timing",
	    "00741034=CSDouble Exposure Flag",
	    "00741036=CSDouble Exposure Ordering",
	    "00741038=DSDouble Exposure Meterset",
	    "0074103A=DSDouble Exposure Field Delta",
	    "00741040=SQRelated Reference RT Image Sequence",
	    "00741042=SQGeneral Machine Verification Sequence",
	    "00741044=SQConventional Machine Verification Sequence",
	    "00741046=SQIon Machine Verification Sequence",
	    "00741048=SQFailed Attributes Sequence",
	    "0074104A=SQOverridden Attributes Sequence",
	    "0074104C=SQConventional Control Point Verification Sequence",
	    "0074104E=SQIon Control Point Verification Sequence",
	    "00741050=SQAttribute Occurrence Sequence",
	    "00741052=ATAttribute Occurrence Pointer",
	    "00741054=ULAttribute Item Selector",
	    "00741056=LOAttribute Occurrence Private Creator",
	    "00741200=CSScheduled Procedure Step Priority",
	    "00741202=LOWorklist Label",
	    "00741204=LOProcedure Step Label",
	    "00741210=SQScheduled Processing Parameters Sequence",
	    "00741212=SQPerformed Processing Parameters Sequence",
	    "00741216=SQUPS Performed Procedure Sequence",
	    "00741220=SQRelated Procedure Step Sequence",
	    "00741222=LOProcedure Step Relationship Type",
	    "00741230=LODeletion Lock",
	    "00741234=AEReceiving AE",
	    "00741236=AERequesting AE",
	    "00741238=LTReason for Cancellation",
	    "00741242=CSSCP Status",
	    "00741244=CSSubscription List Status",
	    "00741246=CSUPS List Status",
	    "Tag=VRName",
	    "00880130=SHStorage Media File-set ID",
	    "00880140=UIStorage Media File-set UID",
	    "00880200=SQIcon Image Sequence",
	    "00880904=LOTopic Title",
	    "00880906=STTopic Subject",
	    "00880910=LOTopic Author",
	    "00880912=LOTopic Keywords",
	    "01000410=CSSOP Instance Status",
	    "01000420=DTSOP Authorization Date and Time",
	    "01000424=LTSOP Authorization Comment",
	    "01000426=LOAuthorization Equipment Certification Number",
	    "04000005=USMAC ID Number",
	    "04000010=UIMAC Calculation Transfer Syntax UID",
	    "04000015=CSMAC Algorithm",
	    "04000020=ATData Elements Signed",
	    "04000100=UIDigital Signature UID",
	    "04000105=DTDigital Signature DateTime",
	    "04000110=CSCertificate Type",
	    "04000115=OBCertificate of Signer",
	    "04000120=OBSignature",
	    "04000305=CSCertified Timestamp Type",
	    "04000310=OBCertified Timestamp",
	    "04000401=SQDigital Signature Purpose Code Sequence",
	    "04000402=SQReferenced Digital Signature Sequence",
	    "04000403=SQReferenced SOP Instance MAC Sequence",
	    "04000404=OBMAC",
	    "04000500=SQEncrypted Attributes Sequence",
	    "04000510=UIEncrypted Content Transfer Syntax UID",
	    "04000520=OBEncrypted Content",
	    "04000550=SQModified Attributes Sequence",
	    "04000561=SQOriginal Attributes Sequence",
	    "04000562=DTAttribute Modification DateTime",
	    "04000563=LOModifying System",
	    "04000564=LOSource of Previous Values",
	    "04000565=CSReason for the Attribute Modification",
	    "1000xxx0=USEscape Triplet",
	    "1000xxx1=USRun Length Triplet",
	    "1000xxx2=USHuffman Table Size",
	    "1000xxx3=USHuffman Table Triplet",
	    "1000xxx4=USShift Table Size",
	    "1000xxx5=USShift Table Triplet",
	    "1010xxxx=USZonal Map",
	    "20000010=ISNumber of Copies",
	    "2000001E=SQPrinter Configuration Sequence",
	    "20000020=CSPrint Priority",
	    "20000030=CSMedium Type",
	    "20000040=CSFilm Destination",
	    "20000050=LOFilm Session Label",
	    "20000060=ISMemory Allocation",
	    "20000061=ISMaximum Memory Allocation",
	    "20000062=CSColor Image Printing Flag",
	    "20000063=CSCollation Flag",
	    "20000065=CSAnnotation Flag",
	    "20000067=CSImage Overlay Flag",
	    "20000069=CSPresentation LUT Flag",
	    "2000006A=CSImage Box Presentation LUT Flag",
	    "200000A0=USMemory Bit Depth",
	    "200000A1=USPrinting Bit Depth",
	    "200000A2=SQMedia Installed Sequence",
	    "200000A4=SQOther Media Available Sequence",
	    "200000A8=SQSupported Image Display Formats Sequence",
	    "20000500=SQReferenced Film Box Sequence",
	    "20000510=SQReferenced Stored Print  Sequence",
	    "20100010=STImage Display Format",
	    "20100030=CSAnnotation Display Format ID",
	    "20100040=CSFilm Orientation",
	    "20100050=CSFilm Size ID",
	    "20100052=CSPrinter Resolution ID",
	    "20100054=CSDefault Printer Resolution ID",
	    "20100060=CSMagnification Type",
	    "20100080=CSSmoothing Type  ",
	    "201000A6=CSDefault Magnification Type",
	    "201000A7=CSOther Magnification Types Available",
	    "201000A8=CSDefault Smoothing Type",
	    "201000A9=CSOther Smoothing Types Available",
	    "20100100=CSBorder Density",
	    "20100110=CSEmpty Image Density",
	    "20100120=USMin Density",
	    "20100130=USMax Density",
	    "20100140=CSTrim",
	    "20100150=STConfiguration Information",
	    "20100152=LTConfiguration Information Description",
	    "20100154=ISMaximum Collated Films",
	    "2010015E=USIllumination",
	    "20100160=USReflected Ambient Light",
	    "20100376=DSPrinter Pixel Spacing",
	    "20100500=SQReferenced Film Session Sequence",
	    "20100510=SQReferenced Image Box Sequence",
	    "20100520=SQReferenced Basic Annotation Box Sequence",
	    "20200010=USImage Box Position",
	    "20200020=CSPolarity",
	    "20200030=DSRequested Image Size",
	    "20200040=CSRequested Decimate/Crop Behavior",
	    "20200050=CSRequested Resolution ID",
	    "202000A0=CSRequested Image Size Flag",
	    "202000A2=CSDecimate/Crop Result",
	    "20200110=SQBasic Grayscale Image Sequence",
	    "20200111=SQBasic Color Image Sequence",
	    "20200130=SQReferenced Image Overlay Box Sequence",
	    "20200140=SQReferenced VOI LUT Box Sequence ",
	    "20300010=USAnnotation Position",
	    "20300020=LOText String",
	    "20400010=SQReferenced Overlay Plane Sequence",
	    "20400011=USReferenced Overlay Plane Groups",
	    "20400020=SQOverlay Pixel Data Sequence",
	    "20400060=CSOverlay Magnification Type",
	    "20400070=CSOverlay Smoothing Type",
	    "20400072=CSOverlay or Image Magnification",
	    "20400074=USMagnify to Number of Columns",
	    "20400080=CSOverlay Foreground Density",
	    "20400082=CSOverlay Background Density",
	    "20400090=CSOverlay Mode",
	    "20400100=CSThreshold Density",
	    "20400500=SQReferenced Image Box Sequence (Retired)",
	    "20500010=SQPresentation LUT Sequence",
	    "20500020=CSPresentation LUT Shape",
	    "20500500=SQReferenced Presentation  LUT Sequence",
	    "21000010=SHPrint Job ID",
	    "21000020=CSExecution Status",
	    "21000030=CSExecution Status Info",
	    "21000040=DACreation Date",
	    "21000050=TMCreation Time",
	    "21000070=AEOriginator",
	    "21000140=AEDestination AE",
	    "21000160=SHOwner ID",
	    "21000170=ISNumber of Films",
	    "21000500=SQReferenced Print Job Sequence (Pull Stored Print)",
	    "21100010=CSPrinter Status",
	    "21100020=CSPrinter Status Info",
	    "21100030=LOPrinter Name",
	    "21100099=SHPrint Queue ID",
	    "21200010=CSQueue Status",
	    "21200050=SQPrint Job Description Sequence",
	    "21200070=SQReferenced Print Job Sequence",
	    "21300010=SQPrint Management Capabilities Sequence",
	    "21300015=SQPrinter Characteristics Sequence",
	    "21300030=SQFilm Box Content Sequence",
	    "21300040=SQImage Box Content Sequence",
	    "21300050=SQAnnotation Content Sequence",
	    "21300060=SQImage Overlay Box Content Sequence",
	    "21300080=SQPresentation LUT Content Sequence",
	    "213000A0=SQProposed Study Sequence",
	    "213000C0=SQOriginal Image Sequence",
	    "22000001=CSLabel Using Information Extracted From Instances",
	    "22000002=UTLabel Text",
	    "22000003=CSLabel Style Selection",
	    "22000004=LTMedia Disposition",
	    "22000005=LTBarcode Value",
	    "22000006=CSBarcode Symbology",
	    "22000007=CSAllow Media Splitting",
	    "22000008=CSInclude Non-DICOM Objects",
	    "22000009=CSInclude Display Application",
	    "2200000A=CSPreserve Composite Instances After Media Creation",
	    "2200000B=USTotal Number of Pieces of Media Created",
	    "2200000C=LORequested Media Application Profile",
	    "2200000D=SQReferenced Storage Media Sequence",
	    "2200000E=ATFailure Attributes",
	    "2200000F=CSAllow Lossy Compression",
	    "22000020=CSRequest Priority",
	    "30020002=SHRT Image Label",
	    "30020003=LORT Image Name",
	    "30020004=STRT Image Description",
	    "3002000A=CSReported Values Origin",
	    "3002000C=CSRT Image Plane",
	    "3002000D=DSX-Ray Image Receptor Translation",
	    "3002000E=DSX-Ray Image Receptor Angle",
	    "30020010=DSRT Image Orientation",
	    "30020011=DSImage Plane Pixel Spacing",
	    "30020012=DSRT Image Position",
	    "30020020=SHRadiation Machine Name",
	    "30020022=DSRadiation Machine SAD",
	    "30020024=DSRadiation Machine SSD",
	    "30020026=DSRT Image SID",
	    "30020028=DSSource to Reference Object Distance",
	    "30020029=ISFraction Number",
	    "30020030=SQExposure Sequence",
	    "30020032=DSMeterset Exposure",
	    "30020034=DSDiaphragm Position",
	    "30020040=SQFluence Map Sequence",
	    "30020041=CSFluence Data Source",
	    "30020042=DSFluence Data Scale",
	    "30040001=CSDVH Type",
	    "30040002=CSDose Units",
	    "30040004=CSDose Type",
	    "30040006=LODose Comment",
	    "30040008=DSNormalization Point",
	    "3004000A=CSDose Summation Type",
	    "3004000C=DSGrid Frame Offset Vector",
	    "3004000E=DSDose Grid Scaling",
	    "30040010=SQRT Dose ROI Sequence",
	    "30040012=DSDose Value",
	    "30040014=CSTissue Heterogeneity Correction",
	    "30040040=DSDVH Normalization Point",
	    "30040042=DSDVH Normalization Dose Value",
	    "30040050=SQDVH Sequence",
	    "30040052=DSDVH Dose Scaling",
	    "30040054=CSDVH Volume Units",
	    "30040056=ISDVH Number of Bins",
	    "30040058=DSDVH Data",
	    "30040060=SQDVH Referenced ROI Sequence",
	    "30040062=CSDVH ROI Contribution Type",
	    "30040070=DSDVH Minimum Dose",
	    "30040072=DSDVH Maximum Dose",
	    "30040074=DSDVH Mean Dose",
	    "30060002=SHStructure Set Label",
	    "30060004=LOStructure Set Name",
	    "30060006=STStructure Set Description",
	    "30060008=DAStructure Set Date",
	    "30060009=TMStructure Set Time",
	    "30060010=SQReferenced Frame of Reference Sequence",
	    "30060012=SQRT Referenced Study Sequence",
	    "30060014=SQRT Referenced Series Sequence",
	    "30060016=SQContour Image Sequence",
	    "30060020=SQStructure Set ROI Sequence",
	    "30060022=ISROI Number",
	    "30060024=UIReferenced Frame of Reference UID",
	    "30060026=LOROI Name",
	    "30060028=STROI Description",
	    "3006002A=ISROI Display Color",
	    "3006002C=DSROI Volume",
	    "30060030=SQRT Related ROI Sequence",
	    "30060033=CSRT ROI Relationship",
	    "30060036=CSROI Generation Algorithm",
	    "30060038=LOROI Generation Description",
	    "30060039=SQROI Contour Sequence",
	    "30060040=SQContour Sequence",
	    "30060042=CSContour Geometric Type",
	    "30060044=DSContour Slab Thickness",
	    "30060045=DSContour Offset Vector",
	    "30060046=ISNumber of Contour Points",
	    "30060048=ISContour Number",
	    "30060049=ISAttached Contours",
	    "30060050=DSContour Data",
	    "30060080=SQRT ROI Observations Sequence",
	    "30060082=ISObservation Number",
	    "30060084=ISReferenced ROI Number",
	    "30060085=SHROI Observation Label",
	    "30060086=SQRT ROI Identification Code Sequence",
	    "30060088=STROI Observation Description",
	    "300600A0=SQRelated RT ROI Observations Sequence",
	    "300600A4=CSRT ROI Interpreted Type",
	    "300600A6=PNROI Interpreter",
	    "300600B0=SQROI Physical Properties Sequence",
	    "300600B2=CSROI Physical Property",
	    "300600B4=DSROI Physical Property Value",
	    "300600B6=SQROI Elemental Composition Sequence",
	    "300600B7=USROI Elemental Composition Atomic Number",
	    "300600B8=FLROI Elemental Composition Atomic Mass Fraction",
	    "300600C0=SQFrame of Reference Relationship Sequence",
	    "300600C2=UIRelated Frame of Reference UID",
	    "300600C4=CSFrame of Reference Transformation Type",
	    "300600C6=DSFrame of Reference Transformation Matrix",
	    "300600C8=LOFrame of Reference Transformation Comment",
	    "30080010=SQMeasured Dose Reference Sequence",
	    "30080012=STMeasured Dose Description",
	    "30080014=CSMeasured Dose Type",
	    "30080016=DSMeasured Dose Value",
	    "30080020=SQTreatment Session Beam Sequence",
	    "30080021=SQTreatment Session Ion Beam Sequence",
	    "30080022=ISCurrent Fraction Number",
	    "30080024=DATreatment Control Point Date",
	    "30080025=TMTreatment Control Point Time",
	    "3008002A=CSTreatment Termination Status",
	    "3008002B=SHTreatment Termination Code",
	    "3008002C=CSTreatment Verification Status",
	    "30080030=SQReferenced Treatment Record Sequence",
	    "30080032=DSSpecified Primary Meterset ",
	    "30080033=DSSpecified Secondary Meterset ",
	    "30080036=DSDelivered Primary Meterset ",
	    "30080037=DSDelivered Secondary Meterset ",
	    "3008003A=DSSpecified Treatment Time",
	    "3008003B=DSDelivered Treatment Time",
	    "30080040=SQControl Point Delivery Sequence",
	    "30080041=SQIon Control Point Delivery Sequence",
	    "30080042=DSSpecified Meterset",
	    "30080044=DSDelivered Meterset",
	    "30080045=FLMeterset Rate Set",
	    "30080046=FLMeterset Rate Delivered",
	    "30080047=FLScan Spot Metersets Delivered",
	    "30080048=DSDose Rate Delivered",
	    "30080050=SQTreatment Summary Calculated Dose Reference Sequence",
	    "30080052=DSCumulative Dose to Dose Reference",
	    "30080054=DAFirst Treatment Date",
	    "30080056=DAMost Recent Treatment Date",
	    "3008005A=ISNumber of Fractions Delivered",
	    "30080060=SQOverride Sequence",
	    "30080061=ATParameter Sequence Pointer",
	    "30080062=ATOverride Parameter Pointer",
	    "30080063=ISParameter Item Index",
	    "30080064=ISMeasured Dose Reference Number",
	    "30080065=ATParameter Pointer",
	    "30080066=STOverride Reason",
	    "30080068=SQCorrected Parameter Sequence",
	    "3008006A=FLCorrection Value",
	    "30080070=SQCalculated Dose Reference Sequence",
	    "30080072=ISCalculated Dose Reference Number",
	    "30080074=STCalculated Dose Reference Description",
	    "30080076=DSCalculated Dose Reference Dose Value",
	    "30080078=DSStart Meterset",
	    "3008007A=DSEnd Meterset",
	    "30080080=SQReferenced Measured Dose Reference Sequence",
	    "30080082=ISReferenced Measured Dose Reference Number",
	    "30080090=SQReferenced Calculated Dose Reference Sequence",
	    "30080092=ISReferenced Calculated Dose Reference Number",
	    "300800A0=SQBeam Limiting Device Leaf Pairs Sequence",
	    "300800B0=SQRecorded Wedge Sequence",
	    "300800C0=SQRecorded Compensator Sequence",
	    "300800D0=SQRecorded Block Sequence",
	    "300800E0=SQTreatment Summary Measured Dose Reference Sequence",
	    "300800F0=SQRecorded Snout Sequence",
	    "300800F2=SQRecorded Range Shifter Sequence",
	    "300800F4=SQRecorded Lateral Spreading Device Sequence",
	    "300800F6=SQRecorded Range Modulator Sequence",
	    "30080100=SQRecorded Source Sequence",
	    "30080105=LOSource Serial Number",
	    "30080110=SQTreatment Session Application Setup Sequence",
	    "30080116=CSApplication Setup Check",
	    "30080120=SQRecorded Brachy Accessory Device Sequence",
	    "30080122=ISReferenced Brachy Accessory Device Number",
	    "30080130=SQRecorded Channel Sequence",
	    "30080132=DSSpecified Channel Total Time",
	    "30080134=DSDelivered Channel Total Time",
	    "30080136=ISSpecified Number of Pulses",
	    "30080138=ISDelivered Number of Pulses",
	    "3008013A=DSSpecified Pulse Repetition Interval",
	    "3008013C=DSDelivered Pulse Repetition Interval",
	    "30080140=SQRecorded Source Applicator Sequence",
	    "30080142=ISReferenced Source Applicator Number",
	    "30080150=SQRecorded Channel Shield Sequence",
	    "30080152=ISReferenced Channel Shield Number",
	    "30080160=SQBrachy Control Point Delivered Sequence",
	    "30080162=DASafe Position Exit Date",
	    "30080164=TMSafe Position Exit Time",
	    "30080166=DASafe Position Return Date",
	    "30080168=TMSafe Position Return Time",
	    "30080200=CSCurrent Treatment Status",
	    "30080202=STTreatment Status Comment",
	    "30080220=SQFraction Group Summary Sequence",
	    "30080223=ISReferenced Fraction Number",
	    "30080224=CSFraction Group Type",
	    "30080230=CSBeam Stopper Position",
	    "30080240=SQFraction Status Summary Sequence",
	    "30080250=DATreatment Date",
	    "30080251=TMTreatment Time",
	    "300A0002=SHRT Plan Label",
	    "300A0003=LORT Plan Name",
	    "300A0004=STRT Plan Description",
	    "300A0006=DART Plan Date",
	    "300A0007=TMRT Plan Time",
	    "300A0009=LOTreatment Protocols",
	    "300A000A=CSPlan Intent",
	    "300A000B=LOTreatment Sites",
	    "300A000C=CSRT Plan Geometry",
	    "300A000E=STPrescription Description",
	    "300A0010=SQDose Reference Sequence",
	    "300A0012=ISDose Reference Number",
	    "300A0013=UIDose Reference UID",
	    "300A0014=CSDose Reference Structure Type",
	    "300A0015=CSNominal Beam Energy Unit",
	    "300A0016=LODose Reference Description",
	    "300A0018=DSDose Reference Point Coordinates",
	    "300A001A=DSNominal Prior Dose",
	    "300A0020=CSDose Reference Type",
	    "300A0021=DSConstraint Weight",
	    "300A0022=DSDelivery Warning Dose",
	    "300A0023=DSDelivery Maximum Dose",
	    "300A0025=DSTarget Minimum Dose",
	    "300A0026=DSTarget Prescription Dose",
	    "300A0027=DSTarget Maximum Dose",
	    "300A0028=DSTarget Underdose Volume Fraction",
	    "300A002A=DSOrgan at Risk Full-volume Dose",
	    "300A002B=DSOrgan at Risk Limit Dose",
	    "300A002C=DSOrgan at Risk Maximum Dose",
	    "300A002D=DSOrgan at Risk Overdose Volume Fraction",
	    "300A0040=SQTolerance Table Sequence",
	    "300A0042=ISTolerance Table Number",
	    "300A0043=SHTolerance Table Label",
	    "300A0044=DSGantry Angle Tolerance",
	    "300A0046=DSBeam Limiting Device Angle Tolerance",
	    "300A0048=SQBeam Limiting Device Tolerance Sequence",
	    "300A004A=DSBeam Limiting Device Position Tolerance",
	    "300A004B=FLSnout Position Tolerance",
	    "300A004C=DSPatient Support Angle Tolerance",
	    "300A004E=DSTable Top Eccentric Angle Tolerance",
	    "300A004F=FLTable Top Pitch Angle Tolerance",
	    "300A0050=FLTable Top Roll Angle Tolerance",
	    "300A0051=DSTable Top Vertical Position Tolerance",
	    "300A0052=DSTable Top Longitudinal Position Tolerance",
	    "300A0053=DSTable Top Lateral Position Tolerance",
	    "300A0055=CSRT Plan Relationship",
	    "300A0070=SQFraction Group Sequence",
	    "300A0071=ISFraction Group Number",
	    "300A0072=LOFraction Group Description",
	    "300A0078=ISNumber of Fractions Planned",
	    "300A0079=ISNumber of Fraction Pattern Digits Per Day",
	    "300A007A=ISRepeat Fraction Cycle Length",
	    "300A007B=LTFraction Pattern",
	    "300A0080=ISNumber of Beams",
	    "300A0082=DSBeam Dose Specification Point",
	    "300A0084=DSBeam Dose",
	    "300A0086=DSBeam Meterset",
	    "300A0088=FLBeam Dose Point Depth",
	    "300A0089=FLBeam Dose Point Equivalent Depth",
	    "300A008A=FLBeam Dose Point SSD",
	    "300A00A0=ISNumber of Brachy Application Setups",
	    "300A00A2=DSBrachy Application Setup Dose Specification Point",
	    "300A00A4=DSBrachy Application Setup Dose",
	    "300A00B0=SQBeam Sequence",
	    "300A00B2=SHTreatment Machine Name ",
	    "300A00B3=CSPrimary Dosimeter Unit",
	    "300A00B4=DSSource-Axis Distance",
	    "300A00B6=SQBeam Limiting Device Sequence",
	    "300A00B8=CSRT Beam Limiting Device Type",
	    "300A00BA=DSSource to Beam Limiting Device Distance",
	    "300A00BB=FLIsocenter to Beam Limiting Device Distance",
	    "300A00BC=ISNumber of Leaf/Jaw Pairs",
	    "300A00BE=DSLeaf Position Boundaries",
	    "300A00C0=ISBeam Number",
	    "300A00C2=LOBeam Name",
	    "300A00C3=STBeam Description",
	    "300A00C4=CSBeam Type",
	    "300A00C6=CSRadiation Type",
	    "300A00C7=CSHigh-Dose Technique Type",
	    "300A00C8=ISReference Image Number",
	    "300A00CA=SQPlanned Verification Image Sequence",
	    "300A00CC=LOImaging Device-Specific Acquisition Parameters",
	    "300A00CE=CSTreatment Delivery Type",
	    "300A00D0=ISNumber of Wedges",
	    "300A00D1=SQWedge Sequence",
	    "300A00D2=ISWedge Number",
	    "300A00D3=CSWedge Type",
	    "300A00D4=SHWedge ID",
	    "300A00D5=ISWedge Angle",
	    "300A00D6=DSWedge Factor",
	    "300A00D7=FLTotal Wedge Tray Water-Equivalent Thickness",
	    "300A00D8=DSWedge Orientation",
	    "300A00D9=FLIsocenter to Wedge Tray Distance",
	    "300A00DA=DSSource to Wedge Tray Distance",
	    "300A00DB=FLWedge Thin Edge Position",
	    "300A00DC=SHBolus ID",
	    "300A00DD=STBolus Description",
	    "300A00E0=ISNumber of Compensators",
	    "300A00E1=SHMaterial ID",
	    "300A00E2=DSTotal Compensator Tray Factor",
	    "300A00E3=SQCompensator Sequence",
	    "300A00E4=ISCompensator Number",
	    "300A00E5=SHCompensator ID",
	    "300A00E6=DSSource to Compensator Tray Distance",
	    "300A00E7=ISCompensator Rows",
	    "300A00E8=ISCompensator Columns",
	    "300A00E9=DSCompensator Pixel Spacing",
	    "300A00EA=DSCompensator Position",
	    "300A00EB=DSCompensator Transmission Data",
	    "300A00EC=DSCompensator Thickness Data",
	    "300A00ED=ISNumber of Boli",
	    "300A00EE=CSCompensator Type",
	    "300A00F0=ISNumber of Blocks",
	    "300A00F2=DSTotal Block Tray Factor",
	    "300A00F3=FLTotal Block Tray Water-Equivalent Thickness",
	    "300A00F4=SQBlock Sequence",
	    "300A00F5=SHBlock Tray ID",
	    "300A00F6=DSSource to Block Tray Distance",
	    "300A00F7=FLIsocenter to Block Tray Distance",
	    "300A00F8=CSBlock Type",
	    "300A00F9=LOAccessory Code",
	    "300A00FA=CSBlock Divergence",
	    "300A00FB=CSBlock Mounting Position",
	    "300A00FC=ISBlock Number",
	    "300A00FE=LOBlock Name",
	    "300A0100=DSBlock Thickness",
	    "300A0102=DSBlock Transmission",
	    "300A0104=ISBlock Number of Points",
	    "300A0106=DSBlock Data",
	    "300A0107=SQApplicator Sequence",
	    "300A0108=SHApplicator ID",
	    "300A0109=CSApplicator Type",
	    "300A010A=LOApplicator Description",
	    "300A010C=DSCumulative Dose Reference Coefficient",
	    "300A010E=DSFinal Cumulative Meterset Weight",
	    "300A0110=ISNumber of Control Points",
	    "300A0111=SQControl Point Sequence",
	    "300A0112=ISControl Point Index",
	    "300A0114=DSNominal Beam Energy",
	    "300A0115=DSDose Rate Set",
	    "300A0116=SQWedge Position Sequence",
	    "300A0118=CSWedge Position",
	    "300A011A=SQBeam Limiting Device Position Sequence",
	    "300A011C=DSLeaf/Jaw Positions",
	    "300A011E=DSGantry Angle",
	    "300A011F=CSGantry Rotation Direction",
	    "300A0120=DSBeam Limiting Device Angle",
	    "300A0121=CSBeam Limiting Device Rotation Direction",
	    "300A0122=DSPatient Support Angle",
	    "300A0123=CSPatient Support Rotation Direction",
	    "300A0124=DSTable Top Eccentric Axis Distance",
	    "300A0125=DSTable Top Eccentric Angle",
	    "300A0126=CSTable Top Eccentric Rotation Direction",
	    "300A0128=DSTable Top Vertical Position",
	    "300A0129=DSTable Top Longitudinal Position",
	    "300A012A=DSTable Top Lateral Position",
	    "300A012C=DSIsocenter Position",
	    "300A012E=DSSurface Entry Point",
	    "300A0130=DSSource to Surface Distance",
	    "300A0134=DSCumulative Meterset Weight",
	    "300A0140=FLTable Top Pitch Angle",
	    "300A0142=CSTable Top Pitch Rotation Direction",
	    "300A0144=FLTable Top Roll Angle",
	    "300A0146=CSTable Top Roll Rotation Direction",
	    "300A0148=FLHead Fixation Angle",
	    "300A014A=FLGantry Pitch Angle",
	    "300A014C=CSGantry Pitch Rotation Direction",
	    "300A014E=FLGantry Pitch Angle Tolerance",
	    "300A0180=SQPatient Setup Sequence",
	    "300A0182=ISPatient Setup Number",
	    "300A0183=LOPatient Setup Label",
	    "300A0184=LOPatient Additional Position",
	    "300A0190=SQFixation Device Sequence",
	    "300A0192=CSFixation Device Type",
	    "300A0194=SHFixation Device Label",
	    "300A0196=STFixation Device Description",
	    "300A0198=SHFixation Device Position",
	    "300A0199=FLFixation Device Pitch Angle",
	    "300A019A=FLFixation Device Roll Angle",
	    "300A01A0=SQShielding Device Sequence",
	    "300A01A2=CSShielding Device Type",
	    "300A01A4=SHShielding Device Label",
	    "300A01A6=STShielding Device Description",
	    "300A01A8=SHShielding Device Position",
	    "300A01B0=CSSetup Technique",
	    "300A01B2=STSetup Technique Description",
	    "300A01B4=SQSetup Device Sequence",
	    "300A01B6=CSSetup Device Type",
	    "300A01B8=SHSetup Device Label",
	    "300A01BA=STSetup Device Description",
	    "300A01BC=DSSetup Device Parameter",
	    "300A01D0=STSetup Reference Description",
	    "300A01D2=DSTable Top Vertical Setup Displacement",
	    "300A01D4=DSTable Top Longitudinal Setup Displacement",
	    "300A01D6=DSTable Top Lateral Setup Displacement",
	    "300A0200=CSBrachy Treatment Technique",
	    "300A0202=CSBrachy Treatment Type",
	    "300A0206=SQTreatment Machine Sequence",
	    "300A0210=SQSource Sequence",
	    "300A0212=ISSource Number",
	    "300A0214=CSSource Type",
	    "300A0216=LOSource Manufacturer",
	    "300A0218=DSActive Source Diameter",
	    "300A021A=DSActive Source Length",
	    "300A0222=DSSource Encapsulation Nominal Thickness",
	    "300A0224=DSSource Encapsulation Nominal Transmission",
	    "300A0226=LOSource Isotope Name",
	    "300A0228=DSSource Isotope Half Life",
	    "300A0229=CSSource Strength Units",
	    "300A022A=DSReference Air Kerma Rate",
	    "300A022B=DSSource Strength",
	    "300A022C=DASource Strength Reference Date",
	    "300A022E=TMSource Strength Reference Time",
	    "300A0230=SQApplication Setup Sequence",
	    "300A0232=CSApplication Setup Type",
	    "300A0234=ISApplication Setup Number",
	    "300A0236=LOApplication Setup Name",
	    "300A0238=LOApplication Setup Manufacturer",
	    "300A0240=ISTemplate Number",
	    "300A0242=SHTemplate Type",
	    "300A0244=LOTemplate Name",
	    "300A0250=DSTotal Reference Air Kerma",
	    "300A0260=SQBrachy Accessory Device Sequence",
	    "300A0262=ISBrachy Accessory Device Number",
	    "300A0263=SHBrachy Accessory Device ID",
	    "300A0264=CSBrachy Accessory Device Type",
	    "300A0266=LOBrachy Accessory Device Name",
	    "300A026A=DSBrachy Accessory Device Nominal Thickness",
	    "300A026C=DSBrachy Accessory Device Nominal Transmission",
	    "300A0280=SQChannel Sequence",
	    "300A0282=ISChannel Number",
	    "300A0284=DSChannel Length",
	    "300A0286=DSChannel Total Time",
	    "300A0288=CSSource Movement Type",
	    "300A028A=ISNumber of Pulses",
	    "300A028C=DSPulse Repetition Interval",
	    "300A0290=ISSource Applicator Number",
	    "300A0291=SHSource Applicator ID",
	    "300A0292=CSSource Applicator Type",
	    "300A0294=LOSource Applicator Name",
	    "300A0296=DSSource Applicator Length",
	    "300A0298=LOSource Applicator Manufacturer",
	    "300A029C=DSSource Applicator Wall Nominal Thickness",
	    "300A029E=DSSource Applicator Wall Nominal Transmission",
	    "300A02A0=DSSource Applicator Step Size",
	    "300A02A2=ISTransfer Tube Number",
	    "300A02A4=DSTransfer Tube Length",
	    "300A02B0=SQChannel Shield Sequence",
	    "300A02B2=ISChannel Shield Number",
	    "300A02B3=SHChannel Shield ID",
	    "300A02B4=LOChannel Shield Name",
	    "300A02B8=DSChannel Shield Nominal Thickness",
	    "300A02BA=DSChannel Shield Nominal Transmission",
	    "300A02C8=DSFinal Cumulative Time Weight",
	    "300A02D0=SQBrachy Control Point Sequence",
	    "300A02D2=DSControl Point Relative Position",
	    "300A02D4=DSControl Point 3D Position",
	    "300A02D6=DSCumulative Time Weight",
	    "300A02E0=CSCompensator Divergence",
	    "300A02E1=CSCompensator Mounting Position",
	    "300A02E2=DSSource to Compensator Distance",
	    "300A02E3=FLTotal Compensator Tray Water-Equivalent Thickness",
	    "300A02E4=FLIsocenter to Compensator Tray Distance",
	    "300A02E5=FLCompensator Column Offset",
	    "300A02E6=FLIsocenter to Compensator Distances",
	    "300A02E7=FLCompensator Relative Stopping Power Ratio",
	    "300A02E8=FLCompensator Milling Tool Diameter",
	    "300A02EA=SQIon Range Compensator Sequence",
	    "300A02EB=LTCompensator Description",
	    "300A0302=ISRadiation Mass Number",
	    "300A0304=ISRadiation Atomic Number",
	    "300A0306=SSRadiation Charge State",
	    "300A0308=CSScan Mode",
	    "300A030A=FLVirtual Source-Axis Distances",
	    "300A030C=SQSnout Sequence",
	    "300A030D=FLSnout Position",
	    "300A030F=SHSnout ID",
	    "300A0312=ISNumber of Range Shifters",
	    "300A0314=SQRange Shifter Sequence",
	    "300A0316=ISRange Shifter Number",
	    "300A0318=SHRange Shifter ID",
	    "300A0320=CSRange Shifter Type",
	    "300A0322=LORange Shifter Description",
	    "300A0330=ISNumber of Lateral Spreading Devices",
	    "300A0332=SQLateral Spreading Device Sequence",
	    "300A0334=ISLateral Spreading Device Number",
	    "300A0336=SHLateral Spreading Device ID",
	    "300A0338=CSLateral Spreading Device Type",
	    "300A033A=LOLateral Spreading Device Description",
	    "300A033C=FLLateral Spreading Device Water Equivalent Thickness",
	    "300A0340=ISNumber of Range Modulators",
	    "300A0342=SQRange Modulator Sequence",
	    "300A0344=ISRange Modulator Number",
	    "300A0346=SHRange Modulator ID",
	    "300A0348=CSRange Modulator Type",
	    "300A034A=LORange Modulator Description",
	    "300A034C=SHBeam Current Modulation ID",
	    "300A0350=CSPatient Support Type",
	    "300A0352=SHPatient Support ID",
	    "300A0354=LOPatient Support Accessory Code",
	    "300A0356=FLFixation Light Azimuthal Angle",
	    "300A0358=FLFixation Light Polar Angle",
	    "300A035A=FLMeterset Rate",
	    "300A0360=SQRange Shifter Settings Sequence",
	    "300A0362=LORange Shifter Setting",
	    "300A0364=FLIsocenter to Range Shifter Distance",
	    "300A0366=FLRange Shifter Water Equivalent Thickness",
	    "300A0370=SQLateral Spreading Device Settings Sequence",
	    "300A0372=LOLateral Spreading Device Setting",
	    "300A0374=FLIsocenter to Lateral Spreading Device Distance",
	    "300A0380=SQRange Modulator Settings Sequence",
	    "300A0382=FLRange Modulator Gating Start Value",
	    "300A0384=FLRange Modulator Gating Stop Value",
	    "300A0386=FLRange Modulator Gating Start Water Equivalent Thickness",
	    "300A0388=FLRange Modulator Gating Stop Water Equivalent Thickness",
	    "300A038A=FLIsocenter to Range Modulator Distance",
	    "300A0390=SHScan Spot Tune ID",
	    "300A0392=ISNumber of Scan Spot Positions",
	    "300A0394=FLScan Spot Position Map",
	    "300A0396=FLScan Spot Meterset Weights",
	    "300A0398=FLScanning Spot Size",
	    "300A039A=ISNumber of Paintings",
	    "300A03A0=SQIon Tolerance Table Sequence",
	    "300A03A2=SQIon Beam Sequence",
	    "300A03A4=SQIon Beam Limiting Device Sequence",
	    "300A03A6=SQIon Block Sequence",
	    "300A03A8=SQIon Control Point Sequence",
	    "300A03AA=SQIon Wedge Sequence",
	    "300A03AC=SQIon Wedge Position Sequence",
	    "300A0401=SQReferenced Setup Image Sequence",
	    "300A0402=STSetup Image Comment",
	    "300A0410=SQMotion Synchronization Sequence",
	    "300A0412=FLControl Point Orientation",
	    "300A0420=SQGeneral Accessory Sequence",
	    "300A0421=CSGeneral Accessory ID",
	    "300A0422=STGeneral Accessory Description",
	    "300A0423=SHGeneral Accessory Type",
	    "300A0424=ISGeneral Accessory Number",
	    "300C0002=SQReferenced RT Plan Sequence",
	    "300C0004=SQReferenced Beam Sequence",
	    "300C0006=ISReferenced Beam Number",
	    "300C0007=ISReferenced Reference Image Number",
	    "300C0008=DSStart Cumulative Meterset Weight",
	    "300C0009=DSEnd Cumulative Meterset Weight",
	    "300C000A=SQReferenced Brachy Application Setup Sequence",
	    "300C000C=ISReferenced Brachy Application Setup Number",
	    "300C000E=ISReferenced Source Number",
	    "300C0020=SQReferenced Fraction Group Sequence",
	    "300C0022=ISReferenced Fraction Group Number",
	    "300C0040=SQReferenced Verification Image Sequence",
	    "300C0042=SQReferenced Reference Image Sequence",
	    "300C0050=SQReferenced Dose Reference Sequence",
	    "300C0051=ISReferenced Dose Reference Number",
	    "300C0055=SQBrachy Referenced Dose Reference Sequence",
	    "300C0060=SQReferenced Structure Set Sequence",
	    "300C006A=ISReferenced Patient Setup Number",
	    "300C0080=SQReferenced Dose Sequence",
	    "300C00A0=ISReferenced Tolerance Table Number",
	    "300C00B0=SQReferenced Bolus Sequence",
	    "300C00C0=ISReferenced Wedge Number",
	    "300C00D0=ISReferenced Compensator Number",
	    "300C00E0=ISReferenced Block Number",
	    "300C00F0=ISReferenced Control Point Index",
	    "300C00F2=SQReferenced Control Point Sequence",
	    "300C00F4=ISReferenced Start Control Point Index",
	    "300C00F6=ISReferenced Stop Control Point Index",
	    "300C0100=ISReferenced Range Shifter Number",
	    "300C0102=ISReferenced Lateral Spreading Device Number",
	    "300C0104=ISReferenced Range Modulator Number",
	    "300E0002=CSApproval Status",
	    "300E0004=DAReview Date",
	    "300E0005=TMReview Time",
	    "300E0008=PNReviewer Name",
	    "40000010=LTArbitrary",
	    "40004000=LTText Comments",
	    "40080040=SHResults ID",
	    "40080042=LOResults ID Issuer",
	    "40080050=SQReferenced Interpretation Sequence",
	    "40080100=DAInterpretation Recorded Date",
	    "40080101=TMInterpretation Recorded Time",
	    "40080102=PNInterpretation Recorder",
	    "40080103=LOReference to Recorded Sound",
	    "40080108=DAInterpretation Transcription Date",
	    "40080109=TMInterpretation Transcription Time",
	    "4008010A=PNInterpretation Transcriber",
	    "4008010B=STInterpretation Text",
	    "4008010C=PNInterpretation Author",
	    "40080111=SQInterpretation Approver Sequence",
	    "40080112=DAInterpretation Approval Date",
	    "40080113=TMInterpretation Approval Time",
	    "40080114=PNPhysician Approving Interpretation",
	    "40080115=LTInterpretation Diagnosis Description",
	    "40080117=SQInterpretation Diagnosis Code Sequence",
	    "40080118=SQResults Distribution List Sequence",
	    "40080119=PNDistribution Name",
	    "4008011A=LODistribution Address",
	    "40080200=SHInterpretation ID",
	    "40080202=LOInterpretation ID Issuer",
	    "40080210=CSInterpretation Type ID",
	    "40080212=CSInterpretation Status ID",
	    "40080300=STImpressions",
	    "40084000=STResults Comments",
	    "4FFE0001=SQMAC Parameters Sequence",
	    "50xx0005=USCurve Dimensions ",
	    "50xx0010=USNumber of Points ",
	    "50xx0020=CSType of Data",
	    "50xx0022=LOCurve Description",
	    "50xx0030=SHAxis Units ",
	    "50xx0040=SHAxis Labels ",
	    "50xx0103=USData Value Representation ",
	    "50xx0104=USMinimum Coordinate Value ",
	    "50xx0105=USMaximum Coordinate Value ",
	    "50xx0106=SHCurve Range",
	    "50xx0110=USCurve Data Descriptor",
	    "50xx0112=USCoordinate Start Value",
	    "50xx0114=USCoordinate Step Value",
	    "50xx1001=CSCurve Activation Layer ",
	    "50xx2000=USAudio Type",
	    "50xx2002=USAudio Sample Format",
	    "50xx2004=USNumber of Channels",
	    "50xx2006=ULNumber of Samples",
	    "50xx2008=ULSample Rate",
	    "50xx200A=ULTotal Time",
	    "50xx200C=OWAudio Sample Data",
	    "50xx200E=LTAudio Comments",
	    "50xx2500=LOCurve Label",
	    "50xx2600=SQCurve Referenced Overlay Sequence ",
	    "50xx2610=USCurve Referenced Overlay Group",
	    "50xx3000=OWCurve Data",
	    "52009229=SQShared Functional Groups Sequence",
	    "52009230=SQPer-frame Functional Groups Sequence",
	    "54000100=SQWaveform Sequence ",
	    "54000110=OBChannel Minimum Value ",
	    "54000112=OBChannel Maximum Value ",
	    "54001004=USWaveform Bits Allocated",
	    "54001006=CSWaveform Sample Interpretation",
	    "5400100A=OBWaveform Padding Value",
	    "54001010=OBWaveform Data ",
	    "56000010=OFFirst Order Phase Correction Angle",
	    "56000020=OFSpectroscopy Data",
	    "60xx0010=USOverlay Rows",
	    "60xx0011=USOverlay Columns",
	    "60xx0012=USOverlay Planes",
	    "60xx0015=ISNumber of Frames in Overlay",
	    "60xx0022=LOOverlay Description",
	    "60xx0040=CSOverlay Type",
	    "60xx0045=LOOverlay Subtype",
	    "60xx0050=SSOverlay Origin",
	    "60xx0051=USImage Frame Origin",
	    "60xx0052=USOverlay Plane Origin",
	    "60xx0060=CSOverlay Compression Code",
	    "60xx0061=SHOverlay Compression Originator",
	    "60xx0062=SHOverlay Compression Label",
	    "60xx0063=CSOverlay Compression Description",
	    "60xx0066=ATOverlay Compression Step Pointers",
	    "60xx0068=USOverlay Repeat Interval",
	    "60xx0069=USOverlay Bits Grouped",
	    "60xx0100=USOverlay Bits Allocated",
	    "60xx0102=USOverlay Bit Position",
	    "60xx0110=CSOverlay Format",
	    "60xx0200=USOverlay Location",
	    "60xx0800=CSOverlay Code Label",
	    "60xx0802=USOverlay Number of Tables",
	    "60xx0803=ATOverlay Code Table Location",
	    "60xx0804=USOverlay Bits For Code Word",
	    "60xx1001=CSOverlay Activation Layer ",
	    "60xx1100=USOverlay Descriptor – Gray",
	    "60xx1101=USOverlay Descriptor – Red",
	    "60xx1102=USOverlay Descriptor – Green",
	    "60xx1103=USOverlay Descriptor – Blue",
	    "60xx1200=USOverlays- Gray",
	    "60xx1201=USOverlays – Red",
	    "60xx1202=USOverlays – Green",
	    "60xx1203=USOverlays- Blue",
	    "60xx1301=ISROI Area",
	    "60xx1302=DSROI Mean",
	    "60xx1303=DSROI Standard Deviation",
	    "60xx1500=LOOverlay Label",
	    "60xx3000=OBOverlay Data",
	    "60xx4000=LTOverlay Comments",
	    "7FE00010=OWPixel Data",
	    "7FE00020=OWCoefficients SDVN",
	    "7FE00030=OWCoefficients SDHN",
	    "7FE00040=OWCoefficients SDDN",
	    "7Fxx0010=OWVariable Pixel Data",
	    "7Fxx0011=USVariable Next Data Group",
	    "7Fxx0020=OWVariable Coefficients SDVN",
	    "7Fxx0030=OWVariable Coefficients SDHN",
	    "7Fxx0040=OWVariable Coefficients SDDN",
	    "FFFAFFFA=SQDigital Signatures Sequence",
	    "FFFCFFFC=OBData Set Trailing Padding",
	    "FFFEE000=DLItem",
	    "FFFEE00D=DLItem Delimitation Item",
	    "FFFEE0DD=DLSequence Delimitation Item"
	};
	
	static {
		dictionary = new Properties();
		for (int i=0; i<dict.length; i++) {
			dictionary.put(dict[i].substring(0,8), dict[i].substring(9));
		}
	}
	
	public static Properties getDictionary() {
		return dictionary;
	}
	
}
