package lu.tudor.santec.dicom.gui.viewer;

/*****************************************************************************
 *                                                                           
 *  Copyright (c) 2006 by SANTEC/TUDOR www.santec.tudor.lu                   
 *                                                                           
 *                                                                           
 *  This library is free software; you can redistribute it and/or modify it  
 *  under the terms of the GNU Lesser General Public License as published    
 *  by the Free Software Foundation; either version 2 of the License, or     
 *  (at your option) any later version.                                      
 *                                                                           
 *  This software is distributed in the hope that it will be useful, but     
 *  WITHOUT ANY WARRANTY; without even the implied warranty of               
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        
 *  Lesser General Public License for more details.                          
 *                                                                           
 *  You should have received a copy of the GNU Lesser General Public         
 *  License along with this library; if not, write to the Free Software      
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA  
 *                                                                           
 *****************************************************************************/

import ij.ImagePlus;
import lu.tudor.santec.dicom.gui.Icons;
import lu.tudor.santec.i18n.Translatrix;

/**
 * @author Johannes Hermen johannes.hermen(at)tudor.lu
 * 
 */
public class DicomImageRotator {

	DicomImagePanel dicomImagePanel;

	public DicomImageRotator(DicomImagePanel dip) {

		this.dicomImagePanel = dip;

		// rotate image
		this.dicomImagePanel.addModeButton(
				Icons.getIcon(Icons.ACTION_ROTATE), Translatrix.getTranslationString("dicom.dicomImagePanel.rotateImage"),
				new ImageListener() {
					public void pixelClicked(ImagePlus ip, int x, int y) {
						ip = new ImagePlus("rotated", ip.getProcessor().rotateRight());
						dicomImagePanel.setImage(ip);
					}

					public void mouseMoved(int x, int y) {
					}

					public void optionSelected(boolean selected) {
					}
				});

	}

}
