package lu.tudor.santec.dicom.utils;

import java.util.logging.Logger;

import org.dcm4che.util.DcmURL;
import org.dcm4che2.net.Status;
import org.dcm4che2.tool.dcmecho.DcmEcho;

public class DCMEcho {
	
    static final Logger log = Logger.getLogger("lu.tudor.santec.dicom.utilsDcmEcho");

	public static int sendEcho(DcmURL url) {

	    DcmEcho dcmecho = new DcmEcho();
	    dcmecho.setCalling(url.getCallingAET());
	    dcmecho.setCalledAET(url.getCalledAET(), false);
	    dcmecho.setRemoteHost(url.getHost());
	    dcmecho.setRemotePort(url.getPort());
	    
	    try {
		dcmecho.open();
		dcmecho.echo();
		dcmecho.close();
	    } catch (Exception e) {
		log.warning(e.getLocalizedMessage());
		return Status.ProcessingFailure;
	    } 
	    
	    log.info("DCMEcho succeeded "+ url);
	    return Status.Success;
	}

	
	public static void main(String[] args) {
		try {
			
			DcmURL url = new DcmURL("dicom://SANTEC:test@localhost:5104");
			if (args.length == 1)
				try {
					url = new DcmURL(args[0]);
				} catch (Exception e) {
					e.printStackTrace();
				}
			
				System.out
						.println("DCM echo to " + url + " "
								+ (DCMEcho.sendEcho(url) == Status.Success ? "Succeeded"
										: "Failed"));
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}